# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section         free
%define mainverel       1-4%{?dist}

Name:           apache-felix
Summary:        Felix OSGi
Url:            http://felix.apache.org/
Version:        1
Release:        4%{?dist}
Epoch:          0
License:        Apache 2.0 License
Group:          Development/Libraries
Source0:        apache-felix-reactor-1.tgz
# svn export http://svn.apache.org/repos/asf/felix/trunk/ apache-felix-reactor-1
# tar czf apache-felix-reactor-1.tgz apache-felix-reactor-1/
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        felix-parent-1.2.1.pom
# get it from http://svn.apache.org/repos/asf/felix/releases/felix-parent-1.2.1/pom.xml
Source4:        felix-parent-1.2.0.pom
# get it from http://svn.apache.org/repos/asf/felix/releases/felix-parent-1.2.0/pom.xml
Source5:        felix-1.0.4.pom 
# get it from http://svn.apache.org/repos/asf/felix/releases/felix-1.0.4/pom.xml
Source6:        felix-1.0.2.pom 
### # get it from http://svn.apache.org/repos/asf/felix/releases/parent-pom-1.0.2/pom.xml
Source8:        https://repository.apache.org/content/repositories/releases/org/apache/geronimo/components/geronimo-transaction/2.1.2/geronimo-transaction-2.1.2-sources.jar
Source9:        http://repo2.maven.org/maven2/org/objectweb/howl/howl/1.0.1-1/howl-1.0.1-1-sources.jar
#Source10:       ops4j-pax-master-3.1.2.pom


%define ver_deploymentadmin 0.9.0
%define ver_deployment_rp_autoconf 0.1.0
%define ver_servicebinder 0.9.0
%define ver_shellgui 0.9.0
%define ver_transaction 0.9.0
%define ver_useradmin 0.9.0
%define ver_wireadmin 0.9.0
%define ver_ipojohandlertransaction 1.5.0
%define ver_mavenosgiplugin 0.9.0
%define ver_mosgi 0.9.0
%define ver_upnpsample 0.2.0

%define ver_framework 3.0.9
Source11:       org.apache.felix.framework-3.0.9.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.framework-3.0.9/
# tar czf org.apache.felix.framework-3.0.9.tgz org.apache.felix.framework-3.0.9/
%define ver_bundlerepository 1.6.4
Source12:       org.apache.felix.bundlerepository-1.6.4.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.bundlerepository-1.6.4/
# tar czf org.apache.felix.bundlerepository-1.6.4.tgz org.apache.felix.bundlerepository-1.6.4/
%define ver_configadmin 1.2.8
Source13:       org.apache.felix.configadmin-1.2.8.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.configadmin-1.2.8/
# tar czf org.apache.felix.configadmin-1.2.8.tgz org.apache.felix.configadmin-1.2.8/
%define ver_dependencymanager 3.0.0
Source14:       org.apache.felix.dependencymanager-2.0.1.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.dependencymanager-2.0.1/
# tar czf org.apache.felix.dependencymanager-2.0.1.tgz org.apache.felix.dependencymanager-2.0.1/
%define ver_dependencymanagershell 3.0.0
Source15:       org.apache.felix.dependencymanager.shell-2.0.1.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.dependencymanager.shell-2.0.1/
# tar czf org.apache.felix.dependencymanager.shell-2.0.1.tgz org.apache.felix.dependencymanager.shell-2.0.1/
%define ver_eventadmin_bridge 0.9.0
%define ver_eventadmin 1.2.9
Source16:       org.apache.felix.eventadmin-1.2.8.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.eventadmin-1.2.8/
# tar czf org.apache.felix.eventadmin-1.2.8.tgz org.apache.felix.eventadmin-1.2.8/
%define ver_fileinstall 3.1.10
Source17:       org.apache.felix.fileinstall-3.1.10.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.fileinstall-3.1.10/
# tar czf org.apache.felix.fileinstall-3.1.10.tgz org.apache.felix.fileinstall-3.1.10/
%define ver_frameworksecurity 1.4.1
Source18:       org.apache.felix.framework.security-1.4.1.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.framework.security-1.4.1/
# tar czf org.apache.felix.framework.security-1.4.1.tgz org.apache.felix.framework.security-1.4.1/
###%define ver_gogoruntime 0.8.0
###Source19:       org.apache.felix.gogo.runtime-0.8.0.tgz
#### svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.gogo.runtime-0.8.0/
#### tar czf org.apache.felix.gogo.runtime-0.8.0.tgz org.apache.felix.gogo.runtime-0.8.0/
###%define ver_gogoshell 0.8.0
###Source20:       org.apache.felix.gogo.shell-0.8.0.tgz
#### svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.gogo.shell-0.8.0/
#### tar czf org.apache.felix.gogo.shell-0.8.0.tgz org.apache.felix.gogo.shell-0.8.0/
###%define ver_gogocommand 0.8.0
###Source21:       org.apache.felix.gogo.command-0.8.0.tgz
#### svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.gogo.command-0.8.0/
#### tar czf org.apache.felix.gogo.command-0.8.0.tgz org.apache.felix.gogo.command-0.8.0/
%define ver_http 2.2.0
Source22:       org.apache.felix.http-2.2.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.http-2.2.0/
# tar czf org.apache.felix.http-2.2.0.tgz org.apache.felix.http-2.2.0/
%define ver_ipojo 1.8.0
Source23:       org.apache.felix.ipojo-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo-1.8.0/
# tar czf org.apache.felix.ipojo-1.8.0.tgz org.apache.felix.ipojo-1.8.0/
%define ver_ipojoarch 1.6.0
Source24:       org.apache.felix.ipojo.arch-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.arch-1.6.0/
# tar czf org.apache.felix.ipojo.arch-1.6.0.tgz org.apache.felix.ipojo.arch-1.6.0/
%define ver_ipojoarchgogo 1.0.1
Source25:       org.apache.felix.ipojo.arch.gogo-1.0.1.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.arch.gogo-1.0.1/
# tar czf org.apache.felix.ipojo.arch.gogo-1.0.1.tgz org.apache.felix.ipojo.arch.gogo-1.0.1/
%define ver_ipojocomposite 1.8.0
Source26:       org.apache.felix.ipojo.composite-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.composite-1.8.0/
# tar czf org.apache.felix.ipojo.composite-1.8.0.tgz org.apache.felix.ipojo.composite-1.8.0/
%define ver_ipojoannotations 1.8.0
Source27:       org.apache.felix.ipojo.annotations-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.annotations-1.8.0/
# tar czf org.apache.felix.ipojo.annotations-1.8.0.tgz org.apache.felix.ipojo.annotations-1.8.0/
%define ver_ipojoant 1.8.0
Source28:       org.apache.felix.ipojo.ant-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.ant-1.8.0/
# tar czf org.apache.felix.ipojo.ant-1.8.0.tgz org.apache.felix.ipojo.ant-1.8.0/
%define ver_ipojowebconsole 1.6.0
Source29:       org.apache.felix.ipojo.webconsole-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.webconsole-1.6.0/
# tar czf org.apache.felix.ipojo.webconsole-1.6.0.tgz org.apache.felix.ipojo.webconsole-1.6.0/
%define ver_ipojoapi 1.6.0
Source30:       org.apache.felix.ipojo.api-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.api-1.6.0/
# tar czf org.apache.felix.ipojo.api-1.6.0.tgz org.apache.felix.ipojo.api-1.6.0/
%define ver_ipojoonlinemanipulator 1.6.0
Source31:       org.apache.felix.ipojo.online.manipulator-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.online.manipulator-1.6.0/
# tar czf org.apache.felix.ipojo.online.manipulator-1.6.0.tgz org.apache.felix.ipojo.online.manipulator-1.6.0/
%define ver_ipojomanipulator 1.8.0
Source32:       org.apache.felix.ipojo.manipulator-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.manipulator-1.8.0/
# tar czf org.apache.felix.ipojo.manipulator-1.8.0.tgz org.apache.felix.ipojo.manipulator-1.8.0/
%define ver_ipojohandlerwhiteboard 1.4.0
Source33:       org.apache.felix.ipojo.handler.whiteboard-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.handler.whiteboard-1.4.0/
# tar czf org.apache.felix.ipojo.handler.whiteboard-1.4.0.tgz org.apache.felix.ipojo.handler.whiteboard-1.4.0/
%define ver_ipojohandlerextender 1.4.0
Source34:       org.apache.felix.ipojo.handler.extender-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.handler.extender-1.4.0/
# tar czf org.apache.felix.ipojo.handler.extender-1.4.0.tgz org.apache.felix.ipojo.handler.extender-1.4.0/
%define ver_ipojohandlerjmx 1.4.0
Source35:       org.apache.felix.ipojo.handler.jmx-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.handler.jmx-1.4.0/
# tar czf org.apache.felix.ipojo.handler.jmx-1.4.0.tgz org.apache.felix.ipojo.handler.jmx-1.4.0/
%define ver_ipojohandlereventadmin 1.6.0
Source36:       org.apache.felix.ipojo.handler.eventadmin-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.handler.eventadmin-1.6.0/
# tar czf org.apache.felix.ipojo.handler.eventadmin-1.6.0.tgz org.apache.felix.ipojo.handler.eventadmin-1.6.0/
%define ver_ipojohandlertemporal 1.6.0
Source37:       org.apache.felix.ipojo.handler.temporal-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.handler.temporal-1.6.0/
# tar czf org.apache.felix.ipojo.handler.temporal-1.6.0.tgz org.apache.felix.ipojo.handler.temporal-1.6.0/
%define ver_ipojojunit4osgi 1.0.0
Source38:       org.apache.felix.ipojo.junit4osgi-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.junit4osgi-1.0.0/
# tar czf org.apache.felix.ipojo.junit4osgi-1.0.0.tgz org.apache.felix.ipojo.junit4osgi-1.0.0/
%define ver_ipojojunit4osgifelixcommand 1.0.0
Source39:       org.apache.felix.ipojo.junit4osgi.felix-command-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.junit4osgi.felix-command-1.0.0/
# tar czf org.apache.felix.ipojo.junit4osgi.felix-command-1.0.0.tgz org.apache.felix.ipojo.junit4osgi.felix-command-1.0.0/
%define ver_ipojojunit4osgiswinggui 1.0.0
Source40:       org.apache.felix.ipojo.junit4osgi.swing-gui-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.junit4osgi.swing-gui-1.0.0/
# tar czf org.apache.felix.ipojo.junit4osgi.swing-gui-1.0.0.tgz org.apache.felix.ipojo.junit4osgi.swing-gui-1.0.0/
%define ver_log 1.0.0
Source41:       org.apache.felix.log-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.log-1.0.0/
# tar czf org.apache.felix.log-1.0.0.tgz org.apache.felix.log-1.0.0/
%define ver_main 3.0.9
Source42:       org.apache.felix.main-3.0.9.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.main-3.0.9/
# tar czf org.apache.felix.main-3.0.9.tgz org.apache.felix.main-3.0.9/
%define ver_maindistribution 3.0.9
Source43:       org.apache.felix.main.distribution-3.0.9.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.main.distribution-3.0.9/
# tar czf org.apache.felix.main.distribution-3.0.9.tgz org.apache.felix.main.distribution-3.0.9/
%define ver_metatype 1.0.4
Source44:       org.apache.felix.metatype-1.0.4.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.metatype-1.0.4/
# tar czf org.apache.felix.metatype-1.0.4.tgz org.apache.felix.metatype-1.0.4/
%define ver_prefs 1.0.4
Source45:       org.apache.felix.prefs-1.0.4.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.prefs-1.0.4/
# tar czf org.apache.felix.prefs-1.0.4.tgz org.apache.felix.prefs-1.0.4/
%define ver_shellremote 1.1.2
Source46:       org.apache.felix.shell.remote-1.1.2.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.shell.remote-1.1.2/
# tar czf org.apache.felix.shell.remote-1.1.2.tgz org.apache.felix.shell.remote-1.1.2/
%define ver_scr 1.6.0
Source47:       org.apache.felix.scr-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.scr-1.6.0/
# tar czf ../SOURCES/org.apache.felix.scr-1.6.0.tgz org.apache.felix.scr-1.6.0/
%define ver_scrannotations 1.4.0
Source48:       org.apache.felix.scr.annotations-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.scr.annotations-1.4.0/
# tar czf org.apache.felix.scr.annotations-1.4.0.tgz org.apache.felix.scr.annotations-1.4.0/
%define ver_scrant 1.0.0
Source49:       org.apache.felix.scr.ant-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.scr.ant-1.0.0/
# tar czf org.apache.felix.scr.ant-1.0.0.tgz org.apache.felix.scr.ant-1.0.0
%define ver_scrgenerator 1.0.0
Source50:       org.apache.felix.scr.generator-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.scr.generator-1.0.0/
# tar czf org.apache.felix.scr.generator-1.0.0.tgz org.apache.felix.scr.generator-1.0.0/
%define ver_shell 1.4.2
Source51:       org.apache.felix.shell-1.4.2.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.shell-1.4.2/
# tar czf org.apache.felix.shell-1.4.2.tgz org.apache.felix.shell-1.4.2/
%define ver_shelltui 1.4.1
Source52:       org.apache.felix.shell.tui-1.4.1.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.shell.tui-1.4.1/
# tar czf org.apache.felix.shell.tui-1.4.1.tgz org.apache.felix.shell.tui-1.4.1/
%define ver_upnpbasedriver 0.8.0
Source53:       org.apache.felix.upnp.basedriver-0.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.upnp.basedriver-0.8.0/
# tar czf org.apache.felix.upnp.basedriver-0.8.0.tgz org.apache.felix.upnp.basedriver-0.8.0/
%define ver_upnpextra 0.4.0
Source54:       org.apache.felix.upnp.extra-0.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.upnp.extra-0.4.0/
# tar czf ../SOURCES/org.apache.felix.upnp.extra-0.4.0.tgz org.apache.felix.upnp.extra-0.4.0/
%define ver_upnptester 0.4.0
Source55:       org.apache.felix.upnp.tester-0.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.upnp.tester-0.4.0/
# tar czf org.apache.felix.upnp.tester-0.4.0.tgz org.apache.felix.upnp.tester-0.4.0/
%define ver_utils 1.1.0
Source56:       org.apache.felix.utils-1.1.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.utils-1.1.0/
# tar czf org.apache.felix.utils-1.1.0.tgz org.apache.felix.utils-1.1.0/
%define ver_webconsole 3.1.8
Source57:       org.apache.felix.webconsole-3.1.8.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.webconsole-3.1.8/
# tar czf org.apache.felix.webconsole-3.1.8.tgz org.apache.felix.webconsole-3.1.8/
%define ver_webconsolepluginsevent 1.0.2
Source58:       org.apache.felix.webconsole.plugins.event-1.0.2.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.webconsole.plugins.event-1.0.2/
# tar czf org.apache.felix.webconsole.plugins.event-1.0.2.tgz org.apache.felix.webconsole.plugins.event-1.0.2/
%define ver_webconsolepluginsmemoryusage 1.0.2
Source59:       org.apache.felix.webconsole.plugins.memoryusage-1.0.2.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.webconsole.plugins.memoryusage-1.0.2/
# tar czf org.apache.felix.webconsole.plugins.memoryusage-1.0.2.tgz org.apache.felix.webconsole.plugins.memoryusage-1.0.2/
%define ver_webconsolepluginsupnp 1.0.0
Source60:       org.apache.felix.webconsole.plugins.upnp-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.webconsole.plugins.upnp-1.0.0/
# tar czf org.apache.felix.webconsole.plugins.upnp-1.0.0.tgz org.apache.felix.webconsole.plugins.upnp-1.0.0/
%define ver_osgifoundation 1.2.0
Source61:       org.osgi.foundation-1.2.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.osgi.foundation-1.2.0/
# tar czf org.osgi.foundation-1.2.0.tgz org.osgi.foundation-1.2.0/
%define ver_osgicore 1.4.0
Source62:       org.osgi.core-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.osgi.core-1.4.0/
# tar czf org.osgi.core-1.4.0.tgz org.osgi.core-1.4.0/
%define ver_osgicompendium 1.4.0
Source63:       org.osgi.compendium-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.osgi.compendium-1.4.0/
# tar czf org.osgi.compendium-1.4.0.tgz org.osgi.compendium-1.4.0
%define ver_osgiserviceobr 1.0.2
Source64:       org.osgi.service.obr-1.0.2.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.osgi.service.obr-1.0.2/
# tar czf org.osgi.service.obr-1.0.2.tgz org.osgi.service.obr-1.0.2/
%define ver_mavenobrplugin 1.2.0
Source65:       maven-obr-plugin-1.2.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/maven-obr-plugin-1.2.0/
# tar czf maven-obr-plugin-1.2.0.tgz maven-obr-plugin-1.2.0/
%define ver_mavenbundleplugin 2.3.4
Source66:       maven-bundle-plugin-2.3.4.tgz
#svn export http://svn.apache.org/repos/asf/felix/releases/maven-bundle-plugin-2.3.4/
# tar czf maven-bundle-plugin-2.3.4.tgz maven-bundle-plugin-2.3.4/
%define ver_mavenscrplugin 1.6.0
Source67:       maven-scr-plugin-1.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/maven-scr-plugin-1.6.0/
# tar czf maven-scr-plugin-1.6.0.tgz maven-scr-plugin-1.6.0/
%define ver_javaxservlet 1.0.0
Source68:       apache-felix-reactor-javax.servlet-1.0.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/javax.servlet-1.0.0/
# tar czf apache-felix-reactor-javax.servlet-1.0.0.tgz javax.servlet-1.0.0/
%define ver_gogocommand 0.8.0
Source69:       org.apache.felix.gogo.command-0.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.gogo.command-0.8.0/
# tar czf org.apache.felix.gogo.command-0.8.0.tgz org.apache.felix.gogo.command-0.8.0/
%define ver_gogoruntime 0.8.0
Source70:       org.apache.felix.gogo.runtime-0.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.gogo.runtime-0.8.0/
# tar czf org.apache.felix.gogo.runtime-0.8.0.tgz org.apache.felix.gogo.runtime-0.8.0/
%define ver_gogoshell 0.8.0
Source71:       org.apache.felix.gogo.shell-0.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.gogo.shell-0.8.0/
# tar czf org.apache.felix.gogo.shell-0.8.0.tgz org.apache.felix.gogo.shell-0.8.0/
%define ver_gogoparent 0.6.0
Source72:       gogo-parent-0.6.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/gogo-parent-0.6.0/
# tar czf gogo-parent-0.6.0.tgz gogo-parent-0.6.0/
%define ver_ipojometadata 1.4.0
Source73:       org.apache.felix.ipojo.metadata-1.4.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.metadata-1.4.0/
# tar czf org.apache.felix.ipojo.metadata-1.4.0.tgz org.apache.felix.ipojo.metadata-1.4.0/
%define ver_ipojomanipulator 1.8.0
Source74:       org.apache.felix.ipojo.manipulator-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.ipojo.manipulator-1.8.0/
# tar czf org.apache.felix.ipojo.manipulator-1.8.0.tgz org.apache.felix.ipojo.manipulator-1.8.0/
%define ver_mavenipojoplugin 1.8.0
Source75:       maven-ipojo-plugin-1.8.0.tgz
# svn export http://svn.apache.org/repos/asf/felix/releases/maven-ipojo-plugin-1.8.0/
# tar czf maven-ipojo-plugin-1.8.0.tgz maven-ipojo-plugin-1.8.0/

Source99:       http://repo1.maven.org/maven2/org/eclipse/equinox/osgi/3.1.1/osgi-3.1.1.jar


Patch0:         apache-felix-reactor-bundle-plugin-depver.patch
Patch1:         apache-felix-reactor-bundlerepository-pom.patch
Patch2:         apache-felix-reactor-bootstrap-shell-pom.patch
Patch3:         apache-felix-reactor-bootstrap-bundlerepository-pom.patch
Patch4:         apache-felix-reactor-bundleplugin-pom.patch
Patch5:         apache-felix-reactor-main-pom.patch
Patch6:         apache-felix-reactor-gogo-EventAdminListener.patch
Patch7:         apache-felix-reactor-gogo-command-pom.patch
Patch8:         apache-felix-reactor-shell.gui.plugin-pom.patch
Patch9:         apache-felix-reactor-shell.remote-pom.patch
# patch *ToEventAdminBridge.java to Java6
Patch10:        apache-felix-reactor-eventadmin-UPnPEventToEventAdminBridge.patch
Patch11:        apache-felix-reactor-eventadmin-ConfigurationEventToEventAdminBridge.patch
Patch12:        apache-felix-reactor-eventadmin-UserAdminEventToEventAdminBridge.patch
Patch13:        apache-felix-reactor-eventadmin-WireAdminEventToEventAdminBridge.patch
Patch14:        apache-felix-reactor-bootstrap-scr-pom.patch
Patch15:        apache-felix-reactor-scr-MockBundle.patch
Patch16:        apache-felix-reactor-webconsole-pom.patch
Patch17:        apache-felix-reactor-http-samples-bridge-pom.patch
Patch18:        apache-felix-reactor-bootstrap-configadmin-pom.patch
Patch19:        apache-felix-reactor-metatype-MockBundleContext.patch 
Patch20:        apache-felix-reactor-metatype-MockBundle.patch
Patch21:        apache-felix-reactor-dependencymanager-pom.patch
Patch22:        apache-felix-reactor-dependencymanager-test-pom.patch
Patch23:        apache-felix-reactor-deploymentadmin-service-AbstractDeploymentPackage.patch
Patch24:        apache-felix-reactor-deploymentadmin-service-FileDeploymentPackage.patch
Patch25:        apache-felix-reactor-deploymentadmin-service-StreamDeploymentPackage.patch
Patch26:        apache-felix-reactor-deploymentadmin-autoconf-pom.patch
Patch27:        apache-felix-reactor-ipojo-core-SmartProxyTest.patch
Patch28:        apache-felix-reactor-ipojo-arch-pom.patch
Patch29:        apache-felix-reactor-ipojo-handler-extender-pom.patch
Patch30:        apache-felix-reactor-ipojo-handler-temporal-pom.patch
Patch31:        apache-felix-reactor-ipojo-handler-eventadmin-pom.patch
Patch32:        apache-felix-reactor-ipojo-handler-jmx-pom.patch
Patch33:        apache-felix-reactor-ipojo-handler-whiteboard-pom.patch
Patch34:        apache-felix-reactor-ipojo-api-pom.patch
Patch35:        apache-felix-reactor-ipojo-online-manipulator-pom.patch
Patch36:        apache-felix-reactor-ipojo-arch-gogo-pom.patch
Patch37:        apache-felix-reactor-ipojo-webconsole-pom.patch
Patch38:        apache-felix-reactor-ipojo-handler-transaction-pom.patch
Patch39:        apache-felix-reactor-mosgi-jmx.registry-NamingService.patch
Patch40:        apache-felix-reactor-mosgi-jmx.rmiconnector-RmiConnectorActivator.patch
Patch41:        apache-felix-reactor-mosgi-managedelements.osgiprobes-OsgiProbes.patch
Patch42:        apache-felix-reactor-mosgi-managedelements.obrprobe-pom.patch
Patch43:        apache-felix-reactor-mosgi-managedelements.obrprobe.tab-pom.patch
Patch44:        apache-felix-reactor-jmood-FelixLauncher.patch
Patch45:        apache-felix-reactor-transaction-oaft-pom.patch
Patch46:        apache-felix-reactor-bootstrap-transaction-pom.patch
Patch47:        apache-felix-reactor-pom.patch 
Patch48:        apache-felix-reactor-scr-pom.patch
Patch49:        apache-felix-reactor-pom-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-checkstyle
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-shade
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  apache-commons-parent
BuildRequires:  geronimo-genesis
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  junit
BuildRequires:  mockito
BuildRequires:  mojo-maven2-plugin-native2ascii
BuildRequires:  ops4j-pax-master
BuildRequires:  ops4j-pax-construct

BuildRequires:  bnd1
BuildRequires:  cglib21
BuildRequires:  concurrent
BuildRequires:  cyberdomo-upnp-stack
BuildRequires:  cyberdomo-upnp-stack-jdk13
BuildRequires:  geronimo-txmanager
BuildRequires:  jetty6-ext
BuildRequires:  json
BuildRequires:  kxml2
BuildRequires:  ops4j-pax-swissbox
BuildRequires:  org.osgi.core
BuildRequires:  org.osgi.compendium
BuildRequires:  plexus-utils
BuildRequires:  qdox
BuildRequires:  spring2-tx

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
Requires:  java >= 0:1.6.0
Requires:  %{name}-osgi-core = %{epoch}:%{ver_osgicore}-%{release}
Requires:  %{name}-osgi-compendium = %{epoch}:%{ver_osgicompendium}-%{release}

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Apache Felix is a community effort to implement the OSGi R4
Service Platform and other interesting OSGi-related 
technologies under the Apache license. The OSGi specifications 
originally targeted embedded devices and home services gateways, 
but they are ideally suited for any project interested in the 
principles of modularity, component-orientation, and/or 
service-orientation. OSGi technology combines aspects of 
these aforementioned principles to define a dynamic service 
deployment framework that is amenable to remote management.

%package javax-servlet
Summary:        javax-servlet from %{name}
Group:          Development/Java
Version:        %{ver_javaxservlet}
Requires:       %{name} = %{epoch}:%{mainverel}

%description javax-servlet
%{summary}.

%package bundlerepository
Summary:        bundlerepository from %{name}
Group:          Development/Java
Version:        %{ver_bundlerepository}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-osgi-service-obr = %{epoch}:%{ver_osgiserviceobr}-%{release}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}
Requires:       %{name}-utils = %{epoch}:%{ver_utils}-%{release}
Requires:       easymock2
Requires:       kxml2
Requires:       wstx

%description bundlerepository
%{summary}.

%package configadmin
Summary:        configadmin from %{name}
Group:          Development/Java
Version:        %{ver_configadmin}
Requires:       %{name} = %{epoch}:%{mainverel}

%description configadmin
%{summary}.

%package dependencymanager
Summary:        dependencymanager from %{name}
Group:          Development/Java
Version:        %{ver_dependencymanager}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-gogo = %{epoch}:%{ver_gogocommand}-%{release}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}
Requires:       bnd1
Requires:       json
Requires:       maven2
Requires:       ops4j-pax-exam

%description dependencymanager
%{summary}.

%package deployment-rp-autoconf
Summary:        deployment-rp-autoconf from %{name}
Group:          Development/Java
Version:        %{ver_deployment_rp_autoconf}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-dependencymanager = %{epoch}:%{ver_dependencymanager}-%{release}
Requires:       %{name}-deploymentadmin = %{epoch}:%{ver_deploymentadmin}-%{release}
Requires:       %{name}-metatype = %{epoch}:%{ver_metatype}-%{release}

%description deployment-rp-autoconf
%{summary}.

%package deploymentadmin
Summary:        deploymentadmin from %{name}
Group:          Development/Java
Version:        %{ver_deploymentadmin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-dependencymanager = %{epoch}:%{ver_dependencymanager}-%{release}

%description deploymentadmin
%{summary}.

%package eventadmin
Summary:        eventadmin from %{name}
Group:          Development/Java
Version:        %{ver_eventadmin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       concurrent

%description eventadmin
%{summary}.

%package eventadmin-bridge
Summary:        eventadmin-bridge from %{name}
Group:          Development/Java
Version:        %{ver_eventadmin_bridge}
Requires:       %{name} = %{epoch}:%{mainverel}

%description eventadmin-bridge
%{summary}.

%package fileinstall
Summary:        fileinstall from %{name}
Group:          Development/Java
Version:        %{ver_fileinstall}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-configadmin = %{epoch}:%{ver_configadmin}-%{release}
Requires:       %{name}-utils = %{epoch}:%{ver_utils}-%{release}

%description fileinstall
%{summary}.

%package framework
Summary:        framework from %{name}
Group:          Development/Java
Version:        %{ver_framework}
Requires:       %{name} = %{epoch}:%{mainverel}

%description framework
%{summary}.

%package gogo
Summary:        gogo from %{name}
Group:          Development/Java
Version:        %{ver_gogocommand}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-bundlerepository = %{epoch}:%{ver_bundlerepository}-%{release}

%description gogo
%{summary}.

%package log
Summary:        log from %{name}
Group:          Development/Java
Version:        %{ver_log}
Requires:       %{name} = %{epoch}:%{mainverel}

%description log
%{summary}.

%package main
Summary:        main from %{name}
Group:          Development/Java
Version:        %{ver_main}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-framework = %{epoch}:%{ver_framework}-%{release}

%description main
%{summary}.

%package metatype
Summary:        metatype from %{name}
Group:          Development/Java
Version:        %{ver_metatype}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       kxml2

%description metatype
%{summary}.

%package prefs
Summary:        prefs from %{name}
Group:          Development/Java
Version:        %{ver_prefs}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       apache-commons-codec

%description prefs
%{summary}.

%package scr
Summary:        scr from %{name}
Group:          Development/Java
Version:        %{ver_scr}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}
Requires:       kxml2

%description scr
%{summary}.

%package scr-annotations
Summary:        scr-annotations from %{name}
Group:          Development/Java
Version:        %{ver_scrannotations}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-scr-generator = %{epoch}:%{ver_scrgenerator}-%{release}

%description scr-annotations
%{summary}.

%package scr-ant
Summary:        scr-ant from %{name}
Group:          Development/Java
Version:        %{ver_scrant}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-scr-generator = %{epoch}:%{ver_scrgenerator}-%{release}
Requires:       ant
Requires:       junit

%description scr-ant
%{summary}.

%package scr-generator
Summary:        scr-generator from %{name}
Group:          Development/Java
Version:        %{ver_scrgenerator}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       objectweb-asm
Requires:       qdox

%description scr-generator
%{summary}.

%package servicebinder
Summary:        servicebinder from %{name}
Group:          Development/Java
Version:        %{ver_servicebinder}
Requires:       %{name} = %{epoch}:%{mainverel}

%description servicebinder
%{summary}.

%package shell
Summary:        shell from %{name}
Group:          Development/Java
Version:        %{ver_shell}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       kxml2

%description shell
%{summary}.

%package shell-gui
Summary:        shell-gui from %{name}
Group:          Development/Java
Version:        %{ver_shellgui}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-bundlerepository = %{epoch}:%{ver_bundlerepository}-%{release}
Requires:       %{name}-osgi-service-obr = %{epoch}:%{ver_osgiserviceobr}-%{release}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}

%description shell-gui
%{summary}.

%package shell-remote
Summary:        shell-remote from %{name}
Group:          Development/Java
Version:        %{ver_shellremote}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-gogo = %{epoch}:%{ver_gogocommand}-%{release}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}

%description shell-remote
%{summary}.

%package shell-tui
Summary:        shell-tui from %{name}
Group:          Development/Java
Version:        %{ver_shelltui}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}

%description shell-tui
%{summary}.

%package transaction
Summary:        transaction from %{name}
Group:          Development/Java
Version:        %{ver_transaction}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       geronimo-txmanager
Requires:       howl-logger
Requires:       slf4j
Requires:       spring2-tx

%description transaction
%{summary}.

%package useradmin
Summary:        useradmin from %{name}
Group:          Development/Java
Version:        %{ver_useradmin}
Requires:       %{name} = %{epoch}:%{mainverel}

%description useradmin
%{summary}.

%package utils
Summary:        utils from %{name}
Group:          Development/Java
Version:        %{ver_utils}
Requires:       %{name} = %{epoch}:%{mainverel}

%description utils
%{summary}.

%package webconsole
Summary:        webconsole from %{name}
Group:          Development/Java
Version:        %{ver_webconsole}
Requires:       %{name} = %{epoch}:%{mainverel}

%description webconsole
%{summary}.

%package webconsole-plugins-event
Summary:        webconsole-plugins-event from %{name}
Group:          Development/Java
Version:        %{ver_webconsolepluginsevent}
Requires:       %{name} = %{epoch}:%{mainverel}

%description webconsole-plugins-event
%{summary}.

%package wireadmin
Summary:        wireadmin from %{name}
Group:          Development/Java
Version:        %{ver_wireadmin}
Requires:       %{name} = %{epoch}:%{mainverel}

%description wireadmin
%{summary}.

%package osgi-core
Summary:        org.osgi.core from %{name}
Group:          Development/Java
Version:        %{ver_osgicore}
Requires:       %{name} = %{epoch}:%{mainverel}

%description osgi-core
%{summary}.

%package osgi-foundation
Summary:        org.osgi.foundation from %{name}
Group:          Development/Java
Version:        %{ver_osgifoundation}
Requires:       %{name} = %{epoch}:%{mainverel}

%description osgi-foundation
%{summary}.

%package osgi-service-obr
Summary:        org.osgi.service.obr from %{name}
Group:          Development/Java
Version:        %{ver_osgiserviceobr}
Requires:       %{name} = %{epoch}:%{mainverel}

%description osgi-service-obr
%{summary}.

%package osgi-compendium
Summary:        org.osgi.compendium from %{name}
Group:          Development/Java
Version:        %{ver_osgicompendium}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-javax-servlet = %{epoch}:%{ver_javaxservlet}-%{release}
Requires:       %{name}-osgi-foundation = %{epoch}:%{ver_osgifoundation}-%{release}

%description osgi-compendium
%{summary}.

%package http
Summary:        http modules from %{name}
Group:          Development/Java
Version:        %{ver_http}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-framework = %{epoch}:%{ver_framework}-%{release}
Requires:       %{name}-webconsole = %{epoch}:%{ver_webconsole}-%{release}
Requires:       jetty6
Requires:       servlet_2_5_api

%description http
%{summary}.

%package ipojo
Summary:        ipojo from %{name}
Group:          Development/Java
Version:        %{ver_ipojo}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo-metadata = %{epoch}:%{ver_ipojometadata}-%{release}
Requires:       objectweb-asm

%description ipojo
%{summary}.

%package ipojo-annotations
Summary:        ipojo-annotations from %{name}
Group:          Development/Java
Version:        %{ver_ipojoannotations}
Requires:       %{name} = %{epoch}:%{mainverel}

%description ipojo-annotations
%{summary}.

%package ipojo-ant
Summary:        ipojo-ant from %{name}
Group:          Development/Java
Version:        %{ver_ipojoant}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo-manipulator = %{epoch}:%{ver_ipojomanipulator}-%{release}
Requires:       %{name}-ipojo-metadata = %{epoch}:%{ver_ipojometadata}-%{release}
Requires:       ant
Requires:       xerces-j2

%description ipojo-ant
%{summary}.

%package ipojo-api
Summary:        ipojo-api from %{name}
Group:          Development/Java
Version:        %{ver_ipojoapi}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}
Requires:       %{name}-ipojo-composite = %{epoch}:%{ver_ipojocomposite}-%{release}
Requires:       %{name}-ipojo-manipulator = %{epoch}:%{ver_ipojomanipulator}-%{release}
Requires:       objectweb-asm

%description ipojo-api
%{summary}.

%package ipojo-arch
Summary:        ipojo-arch from %{name}
Group:          Development/Java
Version:        %{ver_ipojoarch}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-gogo = %{epoch}:%{ver_gogocommand}-%{release}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}
Requires:       %{name}-shell = %{epoch}:%{ver_shell}-%{release}

%description ipojo-arch
%{summary}.

%package ipojo-composite
Summary:        ipojo-composite from %{name}
Group:          Development/Java
Version:        %{ver_ipojocomposite}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}
Requires:       %{name}-ipojo-manipulator = %{epoch}:%{ver_ipojomanipulator}-%{release}

%description ipojo-composite
%{summary}.

%package ipojo-handler-eventadmin
Summary:        ipojo-handler-eventadmin from %{name}
Group:          Development/Java
Version:        %{ver_ipojohandlereventadmin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}

%description ipojo-handler-eventadmin
%{summary}.

%package ipojo-handler-extender
Summary:        ipojo-handler-extender from %{name}
Group:          Development/Java
Version:        %{ver_ipojohandlerextender}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}

%description ipojo-handler-extender
%{summary}.

%package ipojo-handler-jmx
Summary:        ipojo-handler-jmx from %{name}
Group:          Development/Java
Version:        %{ver_ipojohandlerjmx}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}

%description ipojo-handler-jmx
%{summary}.

%package ipojo-handler-temporal
Summary:        ipojo-handler-temporal from %{name}
Group:          Development/Java
Version:        %{ver_ipojohandlertemporal}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}
Requires:       objectweb-asm

%description ipojo-handler-temporal
%{summary}.

%package ipojo-handler-transaction
Summary:        ipojo-handler-transaction from %{name}
Group:          Development/Java
Version:        %{ver_ipojohandlertransaction}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}
Requires:       %{name}-ipojo-metadata = %{epoch}:%{ver_ipojometadata}-%{release}
Requires:       jta_1_0_1B_api

%description ipojo-handler-transaction
%{summary}.

%package ipojo-handler-whiteboard
Summary:        ipojo-handler-whiteboard from %{name}
Group:          Development/Java
Version:        %{ver_ipojohandlerwhiteboard}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}

%description ipojo-handler-whiteboard
%{summary}.

%package ipojo-manipulator
Summary:        ipojo-manipulator from %{name}
Group:          Development/Java
Version:        %{ver_ipojomanipulator}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo-metadata = %{epoch}:%{ver_ipojometadata}-%{release}
Requires:       objectweb-asm

%description ipojo-manipulator
%{summary}.

%package ipojo-metadata
Summary:        ipojo-metadata from %{name}
Group:          Development/Java
Version:        %{ver_ipojometadata}
Requires:       %{name} = %{epoch}:%{mainverel}

%description ipojo-metadata
%{summary}.

%package ipojo-online-manipulator
Summary:        ipojo-online-manipulator from %{name}
Group:          Development/Java
Version:        %{ver_ipojoonlinemanipulator}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo-manipulator = %{epoch}:%{ver_ipojomanipulator}-%{release}
Requires:       objectweb-asm

%description ipojo-online-manipulator
%{summary}.

%package ipojo-webconsole
Summary:        ipojo-webconsole from %{name}
Group:          Development/Java
Version:        %{ver_ipojowebconsole}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-ipojo = %{epoch}:%{ver_ipojo}-%{release}
Requires:       %{name}-ipojo-annotations = %{epoch}:%{ver_ipojoannotations}-%{release}
Requires:       %{name}-webconsole = %{epoch}:%{ver_webconsole}-%{release}
Requires:       servlet_2_4_api
Requires:       json

%description ipojo-webconsole
%{summary}.


%package jmood
Summary:        jmood modules from %{name}
Group:          Development/Java
Version:        0.9.0
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-framework = %{epoch}:%{ver_framework}-%{release}

%description jmood
%{summary}.

%package maven-bundle-plugin
Summary:        maven-bundle-plugin from %{name}
Group:          Development/Java
Version:        %{ver_mavenbundleplugin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       maven2
Requires:       maven-shared-archiver
Requires:       objectweb-asm
Requires:       plexus-utils
Requires:       qdox

%description maven-bundle-plugin
%{summary}.

%package maven-ipojo-plugin
Summary:        maven-ipojo-plugin from %{name}
Group:          Development/Java
Version:        %{ver_mavenipojoplugin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       maven2
Requires:       maven-shared-archiver
Requires:       objectweb-asm
Requires:       plexus-utils
Requires:       qdox

%description maven-ipojo-plugin
%{summary}.

%package maven-obr-plugin
Summary:        maven-obr-plugin from %{name}
Group:          Development/Java
Version:        %{ver_mavenobrplugin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       maven2
Requires:       maven-shared-archiver
Requires:       objectweb-asm
Requires:       plexus-utils
Requires:       qdox

%description maven-obr-plugin
%{summary}.

%package maven-osgi-plugin
Summary:        maven-osgi-plugin from %{name}
Group:          Development/Java
Version:        %{ver_mavenosgiplugin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       maven2
Requires:       maven-shared-archiver
Requires:       plexus-utils

%description maven-osgi-plugin
%{summary}.

%package maven-scr-plugin
Summary:        maven-scr-plugin from %{name}
Group:          Development/Java
Version:        %{ver_mavenscrplugin}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-scr-generator = %{epoch}:%{ver_scrgenerator}-%{release}
Requires:       maven2
Requires:       maven-shared-archiver

%description maven-scr-plugin
%{summary}.

%package mosgi
Summary:        mosgi modules from %{name}
Group:          Development/Java
Version:        %{ver_mosgi}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-bundlerepository = %{epoch}:%{ver_bundlerepository}-%{release}
Requires:       %{name}-framework = %{epoch}:%{ver_framework}-%{release}
Requires:       %{name}-osgi-service-obr = %{epoch}:%{ver_osgiserviceobr}-%{release}

%description mosgi
%{summary}.

%package upnp-basedriver
Summary:        upnp-basedriver from %{name}
Group:          Development/Java
Version:        %{ver_upnpbasedriver}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:  cyberdomo-upnp-stack
Requires:  cyberdomo-upnp-stack-jdk13

%description upnp-basedriver
%{summary}.

%package upnp-extra
Summary:        upnp-extra from %{name}
Group:          Development/Java
Version:        %{ver_upnpextra}
Requires:       %{name} = %{epoch}:%{mainverel}

%description upnp-extra
%{summary}.

%package upnp-sample
Summary:        upnp-sample from %{name}
Group:          Development/Java
Version:        %{ver_upnpsample}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-javax-servlet = %{epoch}:%{ver_javaxservlet}-%{release}
Requires:       %{name}-upnp-extra = %{epoch}:%{ver_upnpextra}-%{release}

%description upnp-sample
%{summary}.

%package upnp-tester
Summary:        upnp-tester from %{name}
Group:          Development/Java
Version:        %{ver_upnptester}
Requires:       %{name} = %{epoch}:%{mainverel}
Requires:       %{name}-upnp-basedriver = %{epoch}:%{ver_upnpbasedriver}-%{release}

%description upnp-tester
%{summary}.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-reactor-1
chmod -R go=u-w *
cp %{SOURCE1} settings.xml
tar xzf %{SOURCE65}; mv maven-obr-plugin maven-obr-plugin_trunk; ln -s maven-obr-plugin-1.2.0 maven-obr-plugin
tar xzf %{SOURCE56}; mv utils utils_trunk; ln -s org.apache.felix.utils-1.1.0 utils
tar xzf %{SOURCE51}; mv shell shell_trunk; ln -s org.apache.felix.shell-1.4.2 shell
tar xzf %{SOURCE12}; mv bundlerepository bundlerepository_trunk; ln -s org.apache.felix.bundlerepository-1.6.4 bundlerepository
tar xzf %{SOURCE66}; mv bundleplugin bundleplugin_trunk; ln -s maven-bundle-plugin-2.3.4 bundleplugin
pushd scrplugin
tar xzf %{SOURCE48}; mv annotations annotations_trunk; ln -s org.apache.felix.scr.annotations-1.4.0 annotations
tar xzf %{SOURCE49}; mv scrtask scrtask_trunk; ln -s org.apache.felix.scr.ant-1.0.0 scrtask
tar xzf %{SOURCE50}; mv generator generator_trunk; ln -s org.apache.felix.scr.generator-1.0.0 generator
tar xzf %{SOURCE67}; mv maven-scr-plugin maven-scr-plugin_trunk; ln -s maven-scr-plugin-1.6.0 maven-scr-plugin
popd
tar xzf %{SOURCE61}; mv org.osgi.foundation org.osgi.foundation_trunk; ln -s org.osgi.foundation-1.2.0 org.osgi.foundation
tar xzf %{SOURCE68}; mv javax.servlet javax.servlet_trunk; ln -s javax.servlet-1.0.0 javax.servlet
tar xzf %{SOURCE62}; mv org.osgi.core org.osgi.core_trunk; ln -s org.osgi.core-1.4.0 org.osgi.core
tar xzf %{SOURCE63}; mv org.osgi.compendium org.osgi.compendium_trunk; ln -s org.osgi.compendium-1.4.0 org.osgi.compendium
tar xzf %{SOURCE64}; mv org.osgi.service.obr org.osgi.service.obr_trunk; ln -s org.osgi.service.obr-1.0.2 org.osgi.service.obr
tar xzf %{SOURCE11}; mv framework framework_trunk; ln -s org.apache.felix.framework-3.0.9 framework
tar xzf %{SOURCE42}; mv main main_trunk; ln -s org.apache.felix.main-3.0.9 main
pushd gogo
tar xzf %{SOURCE69}; mv command command_trunk; ln -s org.apache.felix.gogo.command-%{ver_gogocommand} command
tar xzf %{SOURCE70}; mv runtime runtime_trunk; ln -s org.apache.felix.gogo.runtime-%{ver_gogoruntime} runtime
tar xzf %{SOURCE71}; mv shell shell_trunk; ln -s org.apache.felix.gogo.shell-%{ver_gogoshell} shell
tar xzf %{SOURCE72}; mv gogo-parent gogo-parent_trunk; ln -s gogo-parent-%{ver_gogoparent} gogo-parent
popd
tar xzf %{SOURCE52}; mv shell.tui shell.tui_trunk; ln -s org.apache.felix.shell.tui-1.4.1 shell.tui
tar xzf %{SOURCE46}; mv shell.remote shell.remote_trunk; ln -s org.apache.felix.shell.remote-1.1.2 shell.remote
tar xzf %{SOURCE41}; mv log log_trunk; ln -s org.apache.felix.log-1.0.0 log
#tar xzf %{SOURCE16}; mv eventadmin eventadmin_trunk; ln -s org.apache.felix.eventadmin-1.2.8 eventadmin
tar xzf %{SOURCE22}; mv http http_trunk; ln -s org.apache.felix.http-2.2.0 http
tar xzf %{SOURCE47}; mv scr scr_trunk; ln -s org.apache.felix.scr-1.6.0 scr
tar xzf %{SOURCE57}; mv webconsole webconsole_trunk; ln -s org.apache.felix.webconsole-3.1.8 webconsole
pushd upnp
tar xzf %{SOURCE53}; mv basedriver basedriver_trunk; ln -s org.apache.felix.upnp.basedriver-0.8.0 basedriver
tar xzf %{SOURCE54}; mv extra extra_trunk; ln -s org.apache.felix.upnp.extra-0.4.0 extra
tar xzf %{SOURCE55}; mv tester tester_trunk; ln -s org.apache.felix.upnp.tester-0.4.0 tester
popd
tar xzf %{SOURCE13}; mv configadmin configadmin_trunk; ln -s org.apache.felix.configadmin-%{ver_configadmin} configadmin
tar xzf %{SOURCE44}; mv metatype metatype_trunk; ln -s org.apache.felix.metatype-1.0.4 metatype
tar xzf %{SOURCE45}; mv prefs prefs_trunk; ln -s org.apache.felix.prefs-1.0.4 prefs
pushd webconsole-plugins
tar xzf %{SOURCE58}; mv event event_trunk; ln -s org.apache.felix.webconsole.plugins.event-1.0.2 event
tar xzf %{SOURCE59}; mv memoryusage memoryusage_trunk; ln -s org.apache.felix.webconsole.plugins.memoryusage-1.0.2 memoryusage
tar xzf %{SOURCE60}; mv upnp upnp_trunk; ln -s org.apache.felix.webconsole.plugins.upnp-1.0.0 upnp
popd
tar xzf %{SOURCE17}; mv fileinstall fileinstall_trunk; ln -s org.apache.felix.fileinstall-3.1.10 fileinstall
pushd ipojo
tar xzf %{SOURCE73}; mv metadata metadata_trunk; ln -s org.apache.felix.ipojo.metadata-1.4.0 metadata
tar xzf %{SOURCE74}; mv manipulator manipulator_trunk; ln -s org.apache.felix.ipojo.manipulator-1.8.0 manipulator
tar xzf %{SOURCE75}; mv plugin plugin_trunk; ln -s maven-ipojo-plugin-1.8.0 plugin
tar xzf %{SOURCE23}; mv core core_trunk; ln -s org.apache.felix.ipojo-1.8.0 core
tar xzf %{SOURCE26}; mv composite composite_trunk; ln -s org.apache.felix.ipojo.composite-1.8.0 composite
tar xzf %{SOURCE24}; mv arch arch_trunk; ln -s org.apache.felix.ipojo.arch-1.6.0 arch
tar xzf %{SOURCE25}; mv arch-gogo arch-gogo_trunk; ln -s org.apache.felix.ipojo.arch.gogo-1.0.1 arch-gogo
tar xzf %{SOURCE27}; mv annotations annotations_trunk; ln -s org.apache.felix.ipojo.annotations-1.8.0 annotations
tar xzf %{SOURCE28}; mv ant ant_trunk; ln -s org.apache.felix.ipojo.ant-1.8.0 ant
tar xzf %{SOURCE29}; mv webconsole-plugin webconsole-plugin_trunk; ln -s org.apache.felix.ipojo.webconsole-1.6.0 webconsole-plugin
tar xzf %{SOURCE30}; mv api api_trunk; ln -s org.apache.felix.ipojo.api-1.6.0 api
tar xzf %{SOURCE31}; mv online-manipulator online-manipulator_trunk; ln -s org.apache.felix.ipojo.online.manipulator-1.6.0 online-manipulator
pushd handler
tar xzf %{SOURCE33}; mv whiteboard whiteboard_trunk; ln -s org.apache.felix.ipojo.handler.whiteboard-1.4.0 whiteboard
tar xzf %{SOURCE34}; mv extender extender_trunk; ln -s org.apache.felix.ipojo.handler.extender-1.4.0 extender
tar xzf %{SOURCE35}; mv jmx jmx_trunk; ln -s org.apache.felix.ipojo.handler.jmx-1.4.0 jmx
tar xzf %{SOURCE36}; mv eventadmin eventadmin_trunk; ln -s org.apache.felix.ipojo.handler.eventadmin-1.6.0 eventadmin
tar xzf %{SOURCE37}; mv temporal temporal_trunk; ln -s org.apache.felix.ipojo.handler.temporal-1.6.0 temporal
popd
popd

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%patch13 -b .sav13

%patch14 -b .sav14
%patch15 -b .sav15
# bootstrap
rm -rf scr/src/test

%patch16 -b .sav16
%patch17 -b .sav17
%patch18 -b .sav18
# bootstrap
rm -rf configadmin/src/test

%patch19 -b .sav19
%patch20 -b .sav20
%patch21 -b .sav21
%patch22 -b .sav22
# bootstrap
rm -rf dependencymanager/test/src/test/
%patch23 -b .sav23
%patch24 -b .sav24
%patch25 -b .sav25
%patch26 -b .sav26
%patch27 -b .sav27
%patch28 -b .sav28
%patch29 -b .sav29
%patch30 -b .sav30
%patch31 -b .sav31
%patch32 -b .sav32
%patch33 -b .sav33
%patch34 -b .sav34
%patch35 -b .sav35
%patch36 -b .sav36
%patch37 -b .sav37
%patch38 -b .sav38
%patch39 -b .sav39
%patch40 -b .sav40
%patch41 -b .sav41
%patch42 -b .sav42
%patch43 -b .sav43
%patch44 -b .sav44
%patch45 -b .sav45
%patch46 -b .sav46
%patch47 -b .sav47
%patch48 -b .sav48
%patch49 -b .sav49

cp ipojo/handler/temporal/src/main/resources/metadata.xml ipojo/handler/temporal/

%build
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml

export MAVEN_OPTS="-Xmx256m -XX:MaxPermSize=128m"
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/felix-parent/1.2.1/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/org/apache/felix/felix-parent/1.2.1/felix-parent-1.2.1.pom
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/felix-parent/1.2.0/
cp %{SOURCE4} $MAVEN_REPO_LOCAL/org/apache/felix/felix-parent/1.2.0/felix-parent-1.2.0.pom
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/felix/1.0.4/
cp %{SOURCE5} $MAVEN_REPO_LOCAL/org/apache/felix/felix/1.0.4/felix-1.0.4.pom
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/felix/1.0.2/
cp %{SOURCE6} $MAVEN_REPO_LOCAL/org/apache/felix/felix/1.0.2/felix-1.0.2.pom
mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/equinox/osgi/3.1.1/
#ln -s $(ls /usr/lib/eclipse/plugins/org.eclipse.osgi_3.*.jar) $MAVEN_REPO_LOCAL/org/eclipse/equinox/osgi/3.1.1/osgi-3.1.1.jar
cp %{SOURCE99} $MAVEN_REPO_LOCAL/org/eclipse/equinox/osgi/3.1.1/osgi-3.1.1.jar

mkdir -p $MAVEN_REPO_LOCAL/JPP/
cp %{SOURCE8} $MAVEN_REPO_LOCAL/JPP/geronimo-transaction-sources.jar
cp %{SOURCE9} $MAVEN_REPO_LOCAL/JPP/howl-logger-sources.jar
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.shell/1.4.1/
ln -s $(pwd)/shell/target/org.apache.felix.shell-%{ver_shell}.jar $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.shell/1.4.1/org.apache.felix.shell-1.4.1.jar
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.shell/1.0.0/
ln -s $(pwd)/shell/target/org.apache.felix.shell-%{ver_shell}.jar $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.shell/1.0.0/org.apache.felix.shell-1.0.0.jar


mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml

pushd maven-obr-plugin
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install 
popd
pushd utils
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install 
popd
pushd shell
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install 
popd

pushd bundlerepository
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install 
popd

#mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.scr.generator/0.0.1-SNAPSHOT/
#ln -s $(pwd)/scrplugin/generator/target/org.apache.felix.scr.generator-1.0.1-SNAPSHOT.jar \
#$MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.scr.generator/0.0.1-SNAPSHOT/org.apache.felix.scr.generator-0.0.1-SNAPSHOT.jar

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -Dpackaging=plugins \
        install 


cp shell/pom.xml.sav2 shell/pom.xml
mkdir -p $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.shell/%{ver_shell}/
cp shell/pom.xml $MAVEN_REPO_LOCAL/org/apache/felix/org.apache.felix.shell/%{ver_shell}/org.apache.felix.shell-1.4.2.pom
cp bundlerepository/pom.xml.sav3 bundlerepository/pom.xml


mkdir $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.0.8/
cp $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.3.4/maven-bundle-plugin-2.3.4.pom \
   $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.0.8/maven-bundle-plugin-2.0.8.pom || :
cp $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.3.4/maven-bundle-plugin-2.3.4.pom \
   $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.0.8/maven-bundle-plugin-2.3.4.pom || :
cp $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.3.4/maven-bundle-plugin-2.3.4.jar \
   $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.0.8/maven-bundle-plugin-2.0.8.jar || :
cp $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.0.0/maven-bundle-plugin-2.0.0.jar \
   $MAVEN_REPO_LOCAL/org/apache/felix/maven-bundle-plugin/2.0.8/maven-bundle-plugin-2.0.8.jar || :

pushd bundlerepository
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -DobrRepository=NONE \
        clean install
popd
pushd shell
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -DobrRepository=NONE \
        clean install
popd

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -Dpackaging=plugins \
        clean install 

pushd gogo
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -DobrRepository=NONE \
        install
popd

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -DobrRepository=NONE \
        -Dpackaging=bundle \
        install

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dpackaging=plugins \
        javadoc:javadoc

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dpackaging=bundle \
        javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/apache-felix
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 bundleplugin/target/maven-bundle-plugin-%{ver_mavenbundleplugin}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-bundle-plugin-%{ver_mavenbundleplugin}.jar
ln -s maven-bundle-plugin-%{ver_mavenbundleplugin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-bundle-plugin.jar

install -m 644 bundlerepository/target/org.apache.felix.bundlerepository-%{ver_bundlerepository}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.bundlerepository-%{ver_bundlerepository}.jar
ln -s org.apache.felix.bundlerepository-%{ver_bundlerepository}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.bundlerepository.jar

install -m 644 configadmin/target/org.apache.felix.configadmin-%{ver_configadmin}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.configadmin-%{ver_configadmin}.jar
ln -s org.apache.felix.configadmin-%{ver_configadmin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.configadmin.jar

install -m 644 dependencymanager/annotation/target/org.apache.felix.dependencymanager.annotation-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.annotation-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.annotation-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.annotation.jar

install -m 644 dependencymanager/compat/target/org.apache.felix.dependencymanager.compat-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.compat-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.compat-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.compat.jar

install -m 644 dependencymanager/core/target/org.apache.felix.dependencymanager-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.jar

install -m 644 dependencymanager/runtime/target/org.apache.felix.dependencymanager.runtime-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.runtime-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.runtime-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.runtime.jar

install -m 644 dependencymanager/samples.annotation/target/org.apache.felix.dependencymanager.samples.annotation-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.samples.annotation-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.samples.annotation-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.samples.annotation.jar

install -m 644 dependencymanager/samples/target/org.apache.felix.dependencymanager.samples-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.samples-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.samples-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.samples.jar

install -m 644 dependencymanager/shell/target/org.apache.felix.dependencymanager.shell-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.shell-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.shell-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.shell.jar

install -m 644 dependencymanager/test/target/org.apache.felix.dependencymanager.test-%{ver_dependencymanager}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.test-%{ver_dependencymanager}.jar
ln -s org.apache.felix.dependencymanager.test-%{ver_dependencymanager}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.dependencymanager.test.jar

install -m 644 deploymentadmin/autoconf/target/org.apache.felix.deployment.rp.autoconf-%{ver_deployment_rp_autoconf}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.deployment.rp.autoconf-%{ver_deployment_rp_autoconf}.jar
ln -s org.apache.felix.deployment.rp.autoconf-%{ver_deployment_rp_autoconf}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.deployment.rp.autoconf.jar

install -m 644 deploymentadmin/service/target/org.apache.felix.deploymentadmin-%{ver_deploymentadmin}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.deploymentadmin-%{ver_deploymentadmin}.jar
ln -s org.apache.felix.deploymentadmin-%{ver_deploymentadmin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.deploymentadmin.jar

install -m 644 eventadmin/bridge.configuration/target/org.apache.felix.eventadmin.bridge.configuration-%{ver_eventadmin_bridge}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.configuration-%{ver_eventadmin_bridge}.jar
ln -s org.apache.felix.eventadmin.bridge.configuration-%{ver_eventadmin_bridge}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.configuration.jar

install -m 644 eventadmin/bridge.upnp/target/org.apache.felix.eventadmin.bridge.upnp-%{ver_eventadmin_bridge}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.upnp-%{ver_eventadmin_bridge}.jar
ln -s org.apache.felix.eventadmin.bridge.upnp-%{ver_eventadmin_bridge}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.upnp.jar

install -m 644 eventadmin/bridge.useradmin/target/org.apache.felix.eventadmin.bridge.useradmin-%{ver_eventadmin_bridge}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.useradmin-%{ver_eventadmin_bridge}.jar
ln -s org.apache.felix.eventadmin.bridge.useradmin-%{ver_eventadmin_bridge}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.useradmin.jar

install -m 644 eventadmin/bridge.wireadmin/target/org.apache.felix.eventadmin.bridge.wireadmin-%{ver_eventadmin_bridge}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.wireadmin-%{ver_eventadmin_bridge}.jar
ln -s org.apache.felix.eventadmin.bridge.wireadmin-%{ver_eventadmin_bridge}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.bridge.wireadmin.jar

install -m 644 eventadmin/impl/target/org.apache.felix.eventadmin-%{ver_eventadmin}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin-%{ver_eventadmin}.jar
ln -s org.apache.felix.eventadmin-%{ver_eventadmin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.eventadmin.jar

install -m 644 fileinstall/target/org.apache.felix.fileinstall-%{ver_fileinstall}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.fileinstall-%{ver_fileinstall}.jar
ln -s org.apache.felix.fileinstall-%{ver_fileinstall}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.fileinstall.jar

install -m 644 framework/target/org.apache.felix.framework-%{ver_framework}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.framework-%{ver_framework}.jar
ln -s org.apache.felix.framework-%{ver_framework}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.framework.jar

install -m 644 gogo/command/target/org.apache.felix.gogo.command-%{ver_gogocommand}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.gogo.command-%{ver_gogocommand}.jar
ln -s org.apache.felix.gogo.command-%{ver_gogocommand}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.gogo.command.jar

install -m 644 gogo/runtime/target/org.apache.felix.gogo.runtime-%{ver_gogoruntime}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.gogo.runtime-%{ver_gogoruntime}.jar
ln -s org.apache.felix.gogo.runtime-%{ver_gogoruntime}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.gogo.runtime.jar

install gogo/shell/target/org.apache.felix.gogo.shell-%{ver_gogoshell}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.gogo.shell-%{ver_gogoshell}.jar
ln -s org.apache.felix.gogo.shell-%{ver_gogoshell}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.gogo.shell.jar

install -m 644 http/api/target/org.apache.felix.http.api-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.api-%{ver_http}.jar
ln -s org.apache.felix.http.api-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.api.jar

install -m 644 http/base/target/org.apache.felix.http.base-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.base-%{ver_http}.jar
ln -s org.apache.felix.http.base-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.base.jar

install -m 644 http/bridge/target/org.apache.felix.http.bridge-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.bridge-%{ver_http}.jar
ln -s org.apache.felix.http.bridge-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.bridge.jar

install -m 644 http/bundle/target/org.apache.felix.http.bundle-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.bundle-%{ver_http}.jar
ln -s org.apache.felix.http.bundle-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.bundle.jar

install -m 644 http/jetty/target/org.apache.felix.http.jetty-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.jetty-%{ver_http}.jar
ln -s org.apache.felix.http.jetty-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.jetty.jar

install -m 644 http/proxy/target/org.apache.felix.http.proxy-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.proxy-%{ver_http}.jar
ln -s org.apache.felix.http.proxy-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.proxy.jar

install -m 644 http/samples/bridge/target/org.apache.felix.http.samples.bridge-%{ver_http}-sources.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.bridge-%{ver_http}-sources.jar
ln -s org.apache.felix.http.samples.bridge-%{ver_http}-sources.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples-bridge-sources.jar

install -m 644 http/samples/filter/target/org.apache.felix.http.samples.filter-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.filter-%{ver_http}.jar
ln -s org.apache.felix.http.samples.filter-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.filter.jar

install -m 644 http/samples/filter/target/org.apache.felix.http.samples.filter-%{ver_http}-sources.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.filter-%{ver_http}-sources.jar
ln -s org.apache.felix.http.samples.filter-%{ver_http}-sources.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples-filter-sources.jar

install -m 644 http/samples/whiteboard/target/org.apache.felix.http.samples.whiteboard-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.whiteboard-%{ver_http}.jar
ln -s org.apache.felix.http.samples.whiteboard-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.whiteboard.jar

install -m 644 http/samples/whiteboard/target/org.apache.felix.http.samples.whiteboard-%{ver_http}-sources.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples.whiteboard-%{ver_http}-sources.jar
ln -s org.apache.felix.http.samples.whiteboard-%{ver_http}-sources.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.samples-whiteboard-sources.jar

install -m 644 http/whiteboard/target/org.apache.felix.http.whiteboard-%{ver_http}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.whiteboard-%{ver_http}.jar
ln -s org.apache.felix.http.whiteboard-%{ver_http}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.http.whiteboard.jar

install -m 644 ipojo/annotations/target/org.apache.felix.ipojo.annotations-%{ver_ipojoannotations}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.annotations-%{ver_ipojoannotations}.jar
ln -s org.apache.felix.ipojo.annotations-%{ver_ipojoannotations}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.annotations.jar

install -m 644 ipojo/ant/target/org.apache.felix.ipojo.ant-%{ver_ipojoant}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.ant-%{ver_ipojoant}.jar
ln -s org.apache.felix.ipojo.ant-%{ver_ipojoant}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.ant.jar

install -m 644 ipojo/api/target/org.apache.felix.ipojo.api-%{ver_ipojoapi}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.api-%{ver_ipojoapi}.jar
ln -s org.apache.felix.ipojo.api-%{ver_ipojoapi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.api.jar

install -m 644 ipojo/arch-gogo/target/org.apache.felix.ipojo.arch.gogo-%{ver_ipojoarchgogo}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.arch.gogo-%{ver_ipojoarchgogo}.jar
ln -s org.apache.felix.ipojo.arch.gogo-%{ver_ipojoarchgogo}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.arch.gogo.jar

install -m 644 ipojo/arch/target/org.apache.felix.ipojo.arch-%{ver_ipojoarch}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.arch-%{ver_ipojoarch}.jar
ln -s org.apache.felix.ipojo.arch-%{ver_ipojoarch}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.arch.jar

install -m 644 ipojo/composite/target/org.apache.felix.ipojo.composite-%{ver_ipojocomposite}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.composite-%{ver_ipojocomposite}.jar
ln -s org.apache.felix.ipojo.composite-%{ver_ipojocomposite}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.composite.jar

install -m 644 ipojo/core/target/org.apache.felix.ipojo-%{ver_ipojo}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo-%{ver_ipojo}.jar
ln -s org.apache.felix.ipojo-%{ver_ipojo}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.jar

install -m 644 ipojo/handler/eventadmin/target/org.apache.felix.ipojo.handler.eventadmin-%{ver_ipojohandlereventadmin}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.eventadmin-%{ver_ipojohandlereventadmin}.jar
ln -s org.apache.felix.ipojo.handler.eventadmin-%{ver_ipojohandlereventadmin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.eventadmin.jar

install -m 644 ipojo/handler/extender/target/org.apache.felix.ipojo.handler.extender-%{ver_ipojohandlerextender}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.extender-%{ver_ipojohandlerextender}.jar
ln -s org.apache.felix.ipojo.handler.extender-%{ver_ipojohandlerextender}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.extender.jar

install -m 644 ipojo/handler/jmx/target/org.apache.felix.ipojo.handler.jmx-%{ver_ipojohandlerjmx}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.jmx-%{ver_ipojohandlerjmx}.jar
ln -s org.apache.felix.ipojo.handler.jmx-%{ver_ipojohandlerjmx}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.jmx.jar

install -m 644 ipojo/handler/temporal/target/org.apache.felix.ipojo.handler.temporal-%{ver_ipojohandlertemporal}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.temporal-%{ver_ipojohandlertemporal}.jar
ln -s org.apache.felix.ipojo.handler.temporal-%{ver_ipojohandlertemporal}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.temporal.jar

install -m 644 ipojo/handler/transaction/target/org.apache.felix.ipojo.handler.transaction-%{ver_ipojohandlertransaction}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.transaction-%{ver_ipojohandlertransaction}.jar
ln -s org.apache.felix.ipojo.handler.transaction-%{ver_ipojohandlertransaction}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.transaction.jar

install -m 644 ipojo/handler/whiteboard/target/org.apache.felix.ipojo.handler.whiteboard-%{ver_ipojohandlerwhiteboard}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.whiteboard-%{ver_ipojohandlerwhiteboard}.jar
ln -s org.apache.felix.ipojo.handler.whiteboard-%{ver_ipojohandlerwhiteboard}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.handler.whiteboard.jar

install -m 644 ipojo/manipulator/target/org.apache.felix.ipojo.manipulator-%{ver_ipojomanipulator}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.manipulator-%{ver_ipojomanipulator}.jar
ln -s org.apache.felix.ipojo.manipulator-%{ver_ipojomanipulator}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.manipulator.jar

install -m 644 ipojo/metadata/target/org.apache.felix.ipojo.metadata-%{ver_ipojometadata}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.metadata-%{ver_ipojometadata}.jar
ln -s org.apache.felix.ipojo.metadata-%{ver_ipojometadata}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.metadata.jar

install -m 644 ipojo/online-manipulator/target/org.apache.felix.ipojo.online.manipulator-%{ver_ipojoonlinemanipulator}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.online.manipulator-%{ver_ipojoonlinemanipulator}.jar
ln -s org.apache.felix.ipojo.online.manipulator-%{ver_ipojoonlinemanipulator}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.online.manipulator.jar

install -m 644 ipojo/plugin/target/maven-ipojo-plugin-%{ver_mavenipojoplugin}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-ipojo-plugin-%{ver_mavenipojoplugin}.jar
ln -s maven-ipojo-plugin-%{ver_mavenipojoplugin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-ipojo-plugin.jar

install -m 644 ipojo/webconsole-plugin/target/org.apache.felix.ipojo.webconsole-%{ver_ipojowebconsole}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.webconsole-%{ver_ipojowebconsole}.jar
ln -s org.apache.felix.ipojo.webconsole-%{ver_ipojowebconsole}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.ipojo.webconsole.jar


install -m 644 javax.servlet/target/javax.servlet-%{ver_javaxservlet}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/javax.servlet-%{ver_javaxservlet}.jar
ln -s javax.servlet-%{ver_javaxservlet}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/javax.servlet.jar

install -m 644 jmood/target/org.apache.felix.jmood-0.9.0-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.jmood-0.9.0.jar
ln -s org.apache.felix.jmood-0.9.0.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.jmood.jar

install -m 644 log/target/org.apache.felix.log-%{ver_log}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.log-%{ver_log}.jar
ln -s org.apache.felix.log-%{ver_log}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.log.jar

install -m 644 main/target/org.apache.felix.main-%{ver_main}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.main-%{ver_main}.jar
ln -s org.apache.felix.main-%{ver_main}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.main.jar

install -m 644 maven-obr-plugin/target/maven-obr-plugin-%{ver_mavenobrplugin}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-obr-plugin-%{ver_mavenobrplugin}.jar
ln -s maven-obr-plugin-%{ver_mavenobrplugin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-obr-plugin.jar

install -m 644 metatype/target/org.apache.felix.metatype-%{ver_metatype}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.metatype-%{ver_metatype}.jar
ln -s org.apache.felix.metatype-%{ver_metatype}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.metatype.jar

install -m 644 mosgi/console.component/target/org.apache.felix.mosgi.console.component-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.console.component-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.console.component-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.console.component.jar

install -m 644 mosgi/console.gui/target/org.apache.felix.mosgi.console.gui-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.console.gui-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.console.gui-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.console.gui.jar

install -m 644 mosgi/console.ifc/target/org.apache.felix.mosgi.console.ifc-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.console.ifc-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.console.ifc-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.console.ifc.jar

install -m 644 mosgi/jmx.agent/target/org.apache.felix.mosgi.jmx.agent-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.agent-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.jmx.agent-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.agent.jar

install -m 644 mosgi/jmx.httpconnector/target/org.apache.felix.mosgi.jmx.httpconnector-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.httpconnector-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.jmx.httpconnector-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.httpconnector.jar

install -m 644 mosgi/jmx.registry/target/org.apache.felix.mosgi.jmx.registry-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.registry-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.jmx.registry-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.registry.jar

install -m 644 mosgi/jmx.remotelogger/target/org.apache.felix.mosgi.jmx.remotelogger-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.remotelogger-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.jmx.remotelogger-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.remotelogger.jar

install -m 644 mosgi/jmx.rmiconnector/target/org.apache.felix.mosgi.jmx.rmiconnector-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.rmiconnector-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.jmx.rmiconnector-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.jmx.rmiconnector.jar

install -m 644 mosgi/managedelements.bundlesprobes.tab/target/org.apache.felix.mosgi.managedelements.bundlesprobes.tab-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.bundlesprobes.tab-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.bundlesprobes.tab-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.bundlesprobes.tab.jar

install -m 644 mosgi/managedelements.bundlesprobes/target/org.apache.felix.mosgi.managedelements.bundlesprobes-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.bundlesprobes-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.bundlesprobes-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.bundlesprobes.jar

install -m 644 mosgi/managedelements.memoryprobe/target/org.apache.felix.mosgi.managedelements.memoryprobe-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.memoryprobe-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.memoryprobe-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.memoryprobe.jar

install -m 644 mosgi/managedelements.obrprobe.tab/target/org.apache.felix.mosgi.managedelements.obrprobe.tab-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.obrprobe.tab-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.obrprobe.tab-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.obrprobe.tab.jar

install -m 644 mosgi/managedelements.obrprobe/target/org.apache.felix.mosgi.managedelements.obrprobe-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.obrprobe-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.obrprobe-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.obrprobe.jar

install -m 644 mosgi/managedelements.osgiprobes.tab/target/org.apache.felix.mosgi.managedelements.osgiprobes.tab-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.osgiprobes.tab-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.osgiprobes.tab-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.osgiprobes.tab.jar

install -m 644 mosgi/managedelements.osgiprobes/target/org.apache.felix.mosgi.managedelements.osgiprobes-%{ver_mosgi}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.osgiprobes-%{ver_mosgi}.jar
ln -s org.apache.felix.mosgi.managedelements.osgiprobes-%{ver_mosgi}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.mosgi.managedelements.osgiprobes.jar

install -m 644 org.osgi.compendium/target/org.osgi.compendium-%{ver_osgicompendium}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.compendium-%{ver_osgicompendium}.jar
ln -s org.osgi.compendium-%{ver_osgicompendium}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.compendium.jar

install -m 644 org.osgi.core/target/org.osgi.core-%{ver_osgicore}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.core-%{ver_osgicore}.jar
ln -s org.osgi.core-%{ver_osgicore}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.core.jar

install -m 644 org.osgi.foundation/target/org.osgi.foundation-%{ver_osgifoundation}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.foundation-%{ver_osgifoundation}.jar
ln -s org.osgi.foundation-%{ver_osgifoundation}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.foundation.jar

install -m 644 org.osgi.service.obr/target/org.osgi.service.obr-%{ver_osgiserviceobr}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.service.obr-%{ver_osgiserviceobr}.jar
ln -s org.osgi.service.obr-%{ver_osgiserviceobr}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.osgi.service.obr.jar

install -m 644 prefs/target/org.apache.felix.prefs-%{ver_prefs}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.prefs-%{ver_prefs}.jar
ln -s org.apache.felix.prefs-%{ver_prefs}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.prefs.jar

install -m 644 scrplugin/annotations/target/org.apache.felix.scr.annotations-%{ver_scrannotations}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.annotations-%{ver_scrannotations}.jar
ln -s org.apache.felix.scr.annotations-%{ver_scrannotations}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.annotations.jar

install -m 644 scrplugin/generator/target/org.apache.felix.scr.generator-%{ver_scrgenerator}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.generator-%{ver_scrgenerator}.jar
ln -s org.apache.felix.scr.generator-%{ver_scrgenerator}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.generator.jar

install -m 644 scrplugin/maven-scr-plugin/target/maven-scr-plugin-%{ver_mavenscrplugin}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-scr-plugin-%{ver_mavenscrplugin}.jar
ln -s maven-scr-plugin-%{ver_mavenscrplugin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-scr-plugin.jar

install -m 644 scrplugin/scrtask/target/org.apache.felix.scr.ant-%{ver_scrant}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.ant-%{ver_scrant}.jar
ln -s org.apache.felix.scr.ant-%{ver_scrant}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.ant.jar

install -m 644 scr/target/org.apache.felix.scr-%{ver_scr}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr-%{ver_scr}.jar
ln -s org.apache.felix.scr-%{ver_scr}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.scr.jar

install -m 644 servicebinder/target/org.apache.felix.servicebinder-%{ver_servicebinder}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.servicebinder-%{ver_servicebinder}.jar
ln -s org.apache.felix.servicebinder-%{ver_servicebinder}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.servicebinder.jar

install -m 644 shell.gui.plugin/target/org.apache.felix.shell.gui.plugin-%{ver_shellgui}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.gui.plugin-%{ver_shellgui}.jar
ln -s org.apache.felix.shell.gui.plugin-%{ver_shellgui}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.gui.plugin.jar

install -m 644 shell.gui/target/org.apache.felix.shell.gui-%{ver_shellgui}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.gui-%{ver_shellgui}.jar
ln -s org.apache.felix.shell.gui-%{ver_shellgui}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.gui.jar

install -m 644 shell.remote/target/org.apache.felix.shell.remote-%{ver_shellremote}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.remote-%{ver_shellremote}.jar
ln -s org.apache.felix.shell.remote-%{ver_shellremote}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.remote.jar

install -m 644 shell/target/org.apache.felix.shell-%{ver_shell}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell-%{ver_shell}.jar
ln -s org.apache.felix.shell-%{ver_shell}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.jar

install -m 644 shell.tui/target/org.apache.felix.shell.tui-%{ver_shelltui}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.tui-%{ver_shelltui}.jar
ln -s org.apache.felix.shell.tui-%{ver_shelltui}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.shell.tui.jar

install -m 644 tools/maven2/maven-osgi-plugin/target/maven-osgi-plugin-%{ver_mavenosgiplugin}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-osgi-plugin-%{ver_mavenosgiplugin}.jar
ln -s maven-osgi-plugin-%{ver_mavenosgiplugin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/maven-osgi-plugin.jar

install -m 644 transaction/org.apache.felix.transaction/target/org.apache.felix.transaction-%{ver_transaction}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.transaction-%{ver_transaction}.jar
ln -s org.apache.felix.transaction-%{ver_transaction}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.transaction.jar

install -m 644 transaction/org.apache.felix.transaction/target/org.apache.felix.transaction-%{ver_transaction}-SNAPSHOT-sources.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.transaction-%{ver_transaction}-sources.jar
ln -s org.apache.felix.transaction-%{ver_transaction}-sources.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.transaction-sources.jar

#install -m 644 transaction/org.apache.felix.transaction/target/original-org.apache.felix.transaction-0.9.0-SNAPSHOT.jar \
#           $RPM_BUILD_ROOT%{_javadir}/apache-felix/original-org.apache.felix.transaction-0.9.0.jar
#ln -s original-org.apache.felix.transaction-0.9.0.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/original-org.apache.felix.transaction.jar
#
#install -m 644 transaction/org.apache.felix.transaction/target/original-org.apache.felix.transaction-0.9.0-SNAPSHOT-sources.jar \
#           $RPM_BUILD_ROOT%{_javadir}/apache-felix/original-org.apache.felix.transaction-0.9.0-sources.jar
#ln -s original-org.apache.felix.transaction-0.9.0-sources.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/original-org.apache.felix.transaction-sources.jar

install -m 644 upnp/basedriver/target/org.apache.felix.upnp.basedriver-%{ver_upnpbasedriver}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.basedriver-%{ver_upnpbasedriver}.jar
ln -s org.apache.felix.upnp.basedriver-%{ver_upnpbasedriver}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.basedriver.jar

install -m 644 upnp/basedriver/target/org.apache.felix.upnp.basedriver-%{ver_upnpbasedriver}-jdk13.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.basedriver-%{ver_upnpbasedriver}-jdk13.jar
ln -s org.apache.felix.upnp.basedriver-%{ver_upnpbasedriver}-jdk13.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.basedriver-jdk13.jar

install -m 644 upnp/extra/target/org.apache.felix.upnp.extra-%{ver_upnpextra}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.extra-%{ver_upnpextra}.jar
ln -s org.apache.felix.upnp.extra-%{ver_upnpextra}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.extra.jar

install -m 644 upnp/samples/binarylight/target/org.apache.felix.upnp.sample.binaryLight-%{ver_upnpsample}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.sample.binaryLight-%{ver_upnpsample}.jar
ln -s org.apache.felix.upnp.sample.binaryLight-%{ver_upnpsample}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.sample.binaryLight.jar

install -m 644 upnp/samples/clock/target/org.apache.felix.upnp.sample.clock-%{ver_upnpsample}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.sample.clock-%{ver_upnpsample}.jar
ln -s org.apache.felix.upnp.sample.clock-%{ver_upnpsample}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.sample.clock.jar

install -m 644 upnp/samples/tv/target/org.apache.felix.upnp.sample.tv-%{ver_upnpsample}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.sample.tv-%{ver_upnpsample}.jar
ln -s org.apache.felix.upnp.sample.tv-%{ver_upnpsample}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.sample.tv.jar

install -m 644 upnp/tester/target/org.apache.felix.upnp.tester-%{ver_upnptester}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.tester-%{ver_upnptester}.jar
ln -s org.apache.felix.upnp.tester-%{ver_upnptester}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.upnp.tester.jar

install -m 644 useradmin/target/org.apache.felix.useradmin-%{ver_useradmin}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.useradmin-%{ver_useradmin}.jar
ln -s org.apache.felix.useradmin-%{ver_useradmin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.useradmin.jar

install -m 644 utils/target/org.apache.felix.utils-%{ver_utils}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.utils-%{ver_utils}.jar
ln -s org.apache.felix.utils-%{ver_utils}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.utils.jar

install -m 644 webconsole-plugins/event/target/org.apache.felix.webconsole.plugins.event-%{ver_webconsolepluginsevent}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.webconsole.plugins.event-%{ver_webconsolepluginsevent}.jar
ln -s org.apache.felix.webconsole.plugins.event-%{ver_webconsolepluginsevent}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.webconsole.plugins.event.jar

install -m 644 webconsole/target/org.apache.felix.webconsole-%{ver_webconsole}-bare.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.webconsole-%{ver_webconsole}-bare.jar
ln -s org.apache.felix.webconsole-%{ver_webconsole}-bare.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.webconsole-bare.jar

install -m 644 webconsole/target/org.apache.felix.webconsole-%{ver_webconsole}.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.webconsole-%{ver_webconsole}.jar
ln -s org.apache.felix.webconsole-%{ver_webconsole}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.webconsole.jar

install -m 644 wireadmin/target/org.apache.felix.wireadmin-%{ver_wireadmin}-SNAPSHOT.jar \
           $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.wireadmin-%{ver_wireadmin}.jar
ln -s org.apache.felix.wireadmin-%{ver_wireadmin}.jar $RPM_BUILD_ROOT%{_javadir}/apache-felix/org.apache.felix.wireadmin.jar



# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
# bundleplugin/pom.xml
install -m 644 bundleplugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-maven-bundle-plugin.pom
%add_to_maven_depmap org.apache.felix maven-bundle-plugin %{ver_mavenbundleplugin} JPP/apache-felix maven-bundle-plugin
# bundlerepository/pom.xml
install -m 644 bundlerepository/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.bundlerepository.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.bundlerepository %{ver_bundlerepository} JPP/apache-felix org.apache.felix.bundlerepository
# commons/activation/pom.xml
# commons/antlr/pom.xml
# commons/aopalliance/pom.xml
# commons/avalon-framework/pom.xml
# commons/backport-util-concurrent/pom.xml
# commons/c3p0/pom.xml
# commons/cglib/pom.xml
# commons/commons-attributes-api/pom.xml
# commons/commons-attributes-compiler/pom.xml
# commons/commons-beanutils/pom.xml
# commons/commons-codec/pom.xml
# commons/commons-configuration/pom.xml
# commons/commons-digester/pom.xml
# commons/commons-el/pom.xml
# commons/commons-email/pom.xml
# commons/commons-fileupload/pom.xml
# commons/commons-httpclient/pom.xml
# commons/commons-jxpath/pom.xml
# commons/commons-logging/pom.xml
# commons/commons-validator/pom.xml
# commons/dom4j/pom.xml
# commons/ehcache/pom.xml
# commons/hibernate/pom.xml
# commons/hsqldb/pom.xml
# commons/jline/pom.xml
# commons/jms/pom.xml
# commons/jmxtools/pom.xml
# commons/jsp-api/pom.xml
# commons/jstl/pom.xml
# commons/jta/pom.xml
# commons/jzlib/pom.xml
# commons/log4j/pom.xml
# commons/logkit/pom.xml
# commons/mail/pom.xml
# commons/poi-full/pom.xml
# commons/poi/pom.xml
# commons/pom.xml
# commons/portlet-api/pom.xml
# commons/quartz/pom.xml
# commons/servlet-api/pom.xml
# commons/xercesImpl/pom.xml
# commons/xml-apis/pom.xml
# commons/xml-resolver/pom.xml
# configadmin/pom.xml
install -m 644 configadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.configadmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.configadmin %{ver_configadmin} JPP/apache-felix org.apache.felix.configadmin
# coordinator/pom.xml
#
# dependencymanager/annotation/pom.xml
install -m 644 dependencymanager/annotation/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.annotation.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.annotation %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.annotation
# dependencymanager/compat/pom.xml
install -m 644 dependencymanager/compat/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.compat.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.compat %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.compat
# dependencymanager/core/pom.xml
install -m 644 dependencymanager/core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager
# dependencymanager/pom.xml
install -m 644 dependencymanager/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-dependencymanager-reactor.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.reactor %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.reactor
# dependencymanager/runtime/pom.xml
install -m 644 dependencymanager/runtime/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.runtime.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.runtime %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.runtime
# dependencymanager/samples.annotation/pom.xml
install -m 644 dependencymanager/samples.annotation/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.samples.annotation.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.samples.annotation %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.samples.annotation
# dependencymanager/samples/pom.xml
install -m 644 dependencymanager/samples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.samples.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.samples %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.samples
# dependencymanager/shell/pom.xml
install -m 644 dependencymanager/shell/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.shell.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.shell %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.shell
# dependencymanager/test/pom.xml
install -m 644 dependencymanager/test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.dependencymanager.test.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.dependencymanager.test %{ver_dependencymanager} JPP/apache-felix org.apache.felix.dependencymanager.test
# deploymentadmin/autoconf/pom.xml
install -m 644 deploymentadmin/autoconf/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.deploymentadmin.rp.autoconf.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.deployment.rp.autoconf %{ver_deployment_rp_autoconf} JPP/apache-felix org.apache.felix.deployment.rp.autoconf
# deploymentadmin/pom.xml
install -m 644 deploymentadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-deployment-build.pom
%add_to_maven_depmap org.apache.felix deploymentbuild 1 JPP/apache-felix deployment-build
# deploymentadmin/service/pom.xml
install -m 644 deploymentadmin/service/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.deploymentadmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.deploymentadmin %{ver_deploymentadmin} JPP/apache-felix org.apache.felix.deploymentadmin
# deviceaccess/pom.xml
#
# eventadmin/bridge.configuration/pom.xml
install -m 644 eventadmin/bridge.configuration/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.eventadmin.bridge.configuration.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.eventadmin.bridge.configuration %{ver_eventadmin_bridge} JPP/apache-felix org.apache.felix.eventadmin.bridge.configuration
# eventadmin/bridge.upnp/pom.xml
install -m 644 eventadmin/bridge.upnp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.eventadmin.bridge.upnp.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.eventadmin.bridge.upnp %{ver_eventadmin_bridge} JPP/apache-felix org.apache.felix.eventadmin.bridge.upnp
# eventadmin/bridge.useradmin/pom.xml
install -m 644 eventadmin/bridge.useradmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.eventadmin.bridge.useradmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.eventadmin.bridge.useradmin %{ver_eventadmin_bridge} JPP/apache-felix org.apache.felix.eventadmin.bridge.useradmin
# eventadmin/bridge.wireadmin/pom.xml
install -m 644 eventadmin/bridge.wireadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.eventadmin.bridge.wireadmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.eventadmin.bridge.wireadmin %{ver_eventadmin_bridge} JPP/apache-felix org.apache.felix.eventadmin.bridge.wireadmin
# eventadmin/impl/pom.xml
install -m 644 eventadmin/impl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.eventadmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.eventadmin %{ver_eventadmin} JPP/apache-felix org.apache.felix.eventadmin
# eventadmin/pom.xml
install -m 644 eventadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-eventadmin-reactor.pom
%add_to_maven_depmap org.apache.felix eventadmin-reactor 1 JPP/apache-felix eventadmin-reactor
# examples/dictionaryclient2/pom.xml
# examples/dictionaryclient/pom.xml
# examples/dictionaryservice.itest/pom.xml
# examples/dictionaryservice/pom.xml
# examples/eventlistener/pom.xml
# examples/extenderbased.circle/pom.xml
# examples/extenderbased.host/pom.xml
# examples/extenderbased.square/pom.xml
# examples/extenderbased.triangle/pom.xml
# examples/frenchdictionary/pom.xml
# examples/pom.xml
# examples/servicebased.circle/pom.xml
# examples/servicebased.host/pom.xml
# examples/servicebased.square/pom.xml
# examples/servicebased.trapezoid/pom.xml
# examples/servicebased.triangle/pom.xml
# examples/spellcheckbinder/pom.xml
# examples/spellcheckclient/pom.xml
# examples/spellcheckscr/pom.xml
# examples/spellcheckservice/pom.xml
# fileinstall/pom.xml
install -m 644 fileinstall/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.fileinstall.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.fileinstall %{ver_fileinstall} JPP/apache-felix org.apache.felix.fileinstall
# framework/pom.xml
install -m 644 framework/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.framework.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.framework %{ver_framework} JPP/apache-felix org.apache.felix.framework
# framework.security/pom.xml
#
# gogo/command/pom.xml
install -m 644 gogo/command/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.gogo.command.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.gogo.command %{ver_gogocommand} JPP/apache-felix org.apache.felix.gogo.command
# gogo/gogo-parent/pom.xml
install -m 644 gogo/gogo-parent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-gogo-parent.pom
%add_to_maven_depmap org.apache.felix gogo-parent %{ver_gogoparent} JPP/apache-felix gogo-parent
# gogo/pom.xml
install -m 644 gogo/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-gogo-reactor.pom
%add_to_maven_depmap org.apache.felix gogo-reactor 0.7.0 JPP/apache-felix gogo-reactor
# gogo/runtime/pom.xml
install -m 644 gogo/runtime/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.gogo.runtime.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.gogo.runtime %{ver_gogoruntime} JPP/apache-felix org.apache.felix.gogo.runtime
# gogo/shell/pom.xml
install -m 644 gogo/shell/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.gogo.shell.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.gogo.shell %{ver_gogoshell} JPP/apache-felix org.apache.felix.gogo.shell
# http/api/pom.xml
install -m 644 http/api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.api.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.api %{ver_http} JPP/apache-felix org.apache.felix.http.api
# http/base/pom.xml
install -m 644 http/base/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.base.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.base %{ver_http} JPP/apache-felix org.apache.felix.http.base
# http/bridge/pom.xml
install -m 644 http/bridge/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.bridge.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.bridge %{ver_http} JPP/apache-felix org.apache.felix.http.bridge
# http/bundle/pom.xml
install -m 644 http/bundle/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.bundle.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.bundle %{ver_http} JPP/apache-felix org.apache.felix.http.bundle
# http/jetty/pom.xml
install -m 644 http/jetty/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.jetty.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.jetty %{ver_http} JPP/apache-felix org.apache.felix.http.jetty
# http/pom.xml
install -m 644 http/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http %{ver_http} JPP/apache-felix org.apache.felix.http
# http/proxy/pom.xml
install -m 644 http/proxy/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.proxy.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.proxy %{ver_http} JPP/apache-felix org.apache.felix.http.proxy
# http/samples/bridge/pom.xml
#
# http/samples/filter/pom.xml
install -m 644 http/samples/filter/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.samples.filter.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.samples.filter %{ver_http} JPP/apache-felix org.apache.felix.http.samples.filter
# http/samples/whiteboard/pom.xml
install -m 644 http/samples/whiteboard/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.samples.whiteboard.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.samples.whiteboard %{ver_http} JPP/apache-felix org.apache.felix.http.samples.whiteboard
# http/whiteboard/pom.xml
install -m 644 http/whiteboard/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.http.whiteboard.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.http.whiteboard %{ver_http} JPP/apache-felix org.apache.felix.http.whiteboard
# installers/pom.xml
#
# io/pom.xml
#
# ipojo/annotations/pom.xml
install -m 644 ipojo/annotations/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.annotations.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.annotations %{ver_ipojoannotations} JPP/apache-felix org.apache.felix.ipojo.annotations
# ipojo/ant/pom.xml
install -m 644 ipojo/ant/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.ant.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.ant %{ver_ipojoant} JPP/apache-felix org.apache.felix.ipojo.ant
# ipojo/api/pom.xml
install -m 644 ipojo/api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.api.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.api %{ver_ipojoapi} JPP/apache-felix org.apache.felix.ipojo.api
# ipojo/arch-gogo/pom.xml
install -m 644 ipojo/arch-gogo/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.arch.gogo.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.arch.gogo %{ver_ipojoarchgogo} JPP/apache-felix org.apache.felix.ipojo.arch.gogo
# ipojo/arch/pom.xml
install -m 644 ipojo/arch/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.arch.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.arch %{ver_ipojoarch} JPP/apache-felix org.apache.felix.ipojo.arch
# ipojo/composite/pom.xml
install -m 644 ipojo/composite/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.composite.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.composite %{ver_ipojocomposite} JPP/apache-felix org.apache.felix.ipojo.composite
# ipojo/core/pom.xml
install -m 644 ipojo/core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo %{ver_ipojo} JPP/apache-felix org.apache.felix.ipojo
# ipojo/examples/pom.xml
#
# ipojo/handler/eventadmin/pom.xml
install -m 644 ipojo/handler/eventadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.handler.eventadmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.handler.eventadmin %{ver_ipojohandlereventadmin} JPP/apache-felix org.apache.felix.ipojo.handler.eventadmin
# ipojo/handler/extender/pom.xml
install -m 644 ipojo/handler/extender/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.handler.extender.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.handler.extender %{ver_ipojohandlerextender} JPP/apache-felix org.apache.felix.ipojo.handler.extender
# ipojo/handler/jmx/pom.xml
install -m 644 ipojo/handler/jmx/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.handler.jmx.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.handler.jmx %{ver_ipojohandlerjmx} JPP/apache-felix org.apache.felix.ipojo.handler.jmx
# ipojo/handler/temporal/pom.xml
install -m 644 ipojo/handler/temporal/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.handler.temporal.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.handler.temporal %{ver_ipojohandlertemporal} JPP/apache-felix org.apache.felix.ipojo.handler.temporal
# ipojo/handler/transaction/pom.xml
install -m 644 ipojo/handler/transaction/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.handler.transaction.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.handler.transaction %{ver_ipojohandlertransaction} JPP/apache-felix org.apache.felix.ipojo.handler.transaction
# ipojo/handler/whiteboard/pom.xml
install -m 644 ipojo/handler/whiteboard/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.handler.whiteboard.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.handler.whiteboard %{ver_ipojohandlerwhiteboard} JPP/apache-felix org.apache.felix.ipojo.handler.whiteboard
# ipojo/junit4osgi/felix-command/pom.xml
# ipojo/junit4osgi/immediate-launcher/pom.xml
# ipojo/junit4osgi/junit4osgi/pom.xml
# ipojo/junit4osgi/maven-junit4osgi-plugin/pom.xml
# ipojo/junit4osgi/pom.xml
# ipojo/junit4osgi/swing-runner/pom.xml
# ipojo/manipulator/pom.xml
install -m 644 ipojo/manipulator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.manipulator.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.manipulator %{ver_ipojomanipulator} JPP/apache-felix org.apache.felix.ipojo.manipulator
# ipojo/metadata/pom.xml
install -m 644 ipojo/metadata/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.metadata.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.metadata %{ver_ipojometadata} JPP/apache-felix org.apache.felix.ipojo.metadata
# ipojo/online-manipulator/pom.xml
install -m 644 ipojo/online-manipulator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.online.manipulator.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.online.manipulator %{ver_ipojoonlinemanipulator} JPP/apache-felix org.apache.felix.ipojo.online.manipulator
# ipojo/plugin/pom.xml
install -m 644 ipojo/plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-maven-ipojo-plugin.pom
%add_to_maven_depmap org.apache.felix maven-ipojo-plugin %{ver_mavenipojoplugin} JPP/apache-felix maven-ipojo-plugin
# ipojo/pom.xml
install -m 644 ipojo/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-ipojo.pom
%add_to_maven_depmap org.apache.felix iPOJO 1.5.0 JPP/apache-felix ipojo
# ipojo/tests/pom.xml
#
# ipojo/webconsole-plugin/pom.xml
install -m 644 ipojo/webconsole-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.ipojo.webconsole.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.ipojo.webconsole %{ver_ipojowebconsole} JPP/apache-felix org.apache.felix.ipojo.webconsole
# javax.servlet/pom.xml
install -m 644 javax.servlet/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-javax.servlet.pom
%add_to_maven_depmap org.apache.felix javax.servlet %{ver_javaxservlet} JPP/apache-felix javax.servlet
# jmood/pom.xml
install -m 644 jmood/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.jmood.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.jmood 0.9.0 JPP/apache-felix org.apache.felix.jmood
# jmxintrospector/pom.xml
#
# log/pom.xml
install -m 644 log/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.log.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.log %{ver_log} JPP/apache-felix org.apache.felix.log
# main/pom.xml
install -m 644 main/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.main.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.main %{ver_main} JPP/apache-felix org.apache.felix.main
# maven-obr-plugin/pom.xml
install -m 644 maven-obr-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-maven-obr-plugin.pom
%add_to_maven_depmap org.apache.felix maven-obr-plugin %{ver_mavenobrplugin} JPP/apache-felix maven-obr-plugin
# metatype/pom.xml
install -m 644 metatype/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.metatype.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.metatype %{ver_metatype} JPP/apache-felix org.apache.felix.metatype
# mishell/pom.xml
#
# mosgi/console.component/pom.xml
install -m 644 mosgi/console.component/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.console.component.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.console.component %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.console.component
# mosgi/console.gui/pom.xml
install -m 644 mosgi/console.gui/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.console.gui.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.console.gui %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.console.gui
# mosgi/console.ifc/pom.xml
install -m 644 mosgi/console.ifc/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.console.ifc.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.console.ifc %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.console.ifc
# mosgi/jmx.agent/pom.xml
install -m 644 mosgi/jmx.agent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.jmx.agent.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.jmx.agent %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.jmx.agent
# mosgi/jmx.httpconnector/pom.xml
install -m 644 mosgi/jmx.httpconnector/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.jmx.httpconnector.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.jmx.httpconnector %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.jmx.httpconnector
# mosgi/jmx.registry/pom.xml
install -m 644 mosgi/jmx.registry/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.jmx.registry.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.jmx.registry %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.jmx.registry
# mosgi/jmx.remotelogger/pom.xml
install -m 644 mosgi/jmx.remotelogger/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.jmx.remotelogger.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.jmx.remotelogger %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.jmx.remotelogger
# mosgi/jmx.rmiconnector/pom.xml
install -m 644 mosgi/jmx.rmiconnector/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.jmx.rmiconnector.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.jmx.rmiconnection %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.jmx.rmiconnection
# mosgi/managedelements.bundlesprobes/pom.xml
install -m 644 mosgi/managedelements.bundlesprobes/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.bundlesprobes.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.bundlesprobes %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.bundlesprobes
# mosgi/managedelements.bundlesprobes.tab/pom.xml
install -m 644 mosgi/managedelements.bundlesprobes.tab/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.bundlesprobes.tab.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.bundlesprobes.tab %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.bundlesprobes.tab
# mosgi/managedelements.memoryprobe/pom.xml
install -m 644 mosgi/managedelements.memoryprobe/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.memoryprobe.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.memoryprobe %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.memoryprobe
# mosgi/managedelements.obrprobe/pom.xml
install -m 644 mosgi/managedelements.obrprobe/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.obrprobe.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.obrprobe %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.obrprobe
# mosgi/managedelements.obrprobe.tab/pom.xml
install -m 644 mosgi/managedelements.obrprobe.tab/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.obrprobe.tab.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.obrprobe.tab %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.obrprobe.tab
# mosgi/managedelements.osgiprobes/pom.xml
install -m 644 mosgi/managedelements.osgiprobes/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.osgiprobes.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.osgiprobes %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.osgiprobes
# mosgi/managedelements.osgiprobes.tab/pom.xml
install -m 644 mosgi/managedelements.osgiprobes.tab/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.mosgi.managedelements.osgiprobes.tab.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.mosgi.managedelements.osgiprobes.tab %{ver_mosgi} JPP/apache-felix org.apache.felix.mosgi.managedelements.osgiprobes.tab
# mosgi/pom.xml
install -m 644 mosgi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-mosgi.pom
%add_to_maven_depmap org.apache.felix mosgi 0.0.1 JPP/apache-felix mosgi
# org.apache.felix.daemon/pom.xml
#
# org.osgi.compendium/pom.xml
install -m 644 org.osgi.compendium/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.osgi.compendium.pom
%add_to_maven_depmap org.apache.felix org.osgi.compendium %{ver_osgicompendium} JPP/apache-felix org.osgi.compendium
# org.osgi.core/pom.xml
install -m 644 org.osgi.core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.osgi.core.pom
%add_to_maven_depmap org.apache.felix org.osgi.core %{ver_osgicore} JPP/apache-felix org.osgi.core
# org.osgi.foundation/pom.xml
install -m 644 org.osgi.foundation/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.osgi.foundation.pom
%add_to_maven_depmap org.apache.felix org.osgi.foundation %{ver_osgifoundation} JPP/apache-felix org.osgi.foundation
# org.osgi.service.obr/pom.xml
install -m 644 org.osgi.service.obr/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.osgi.service.obr.pom
%add_to_maven_depmap org.apache.felix org.osgi.service.obr %{ver_osgiserviceobr} JPP/apache-felix org.osgi.service.obr
# pom/pom.xml
install -m 644 pom/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-parent.pom
%add_to_maven_depmap org.apache.felix felix-parent 2 JPP/apache-felix parent
# pom.xml
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-reactor.pom
%add_to_maven_depmap org.apache.felix reactor 1 JPP/apache-felix reactor
# prefs/pom.xml
install -m 644 prefs/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.prefs.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.prefs %{ver_prefs} JPP/apache-felix org.apache.felix.prefs
# scrplugin/annotations/pom.xml
install -m 644 scrplugin/annotations/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.scr.annotations.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.scr.annotations %{ver_scrannotations} JPP/apache-felix org.apache.felix.scr.annotations
# scrplugin/generator/pom.xml
install -m 644 scrplugin/generator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.scr.generator.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.scr.generator %{ver_scrgenerator} JPP/apache-felix org.apache.felix.scr.generator
# scrplugin/maven-scr-plugin/pom.xml
install -m 644 scrplugin/maven-scr-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-maven-scr-plugin.pom
%add_to_maven_depmap org.apache.felix maven-scr-plugin 1.6.0 JPP/apache-felix maven-scr-plugin
# scrplugin/pom.xml
install -m 644 scrplugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-scr-plugin-reactor.pom
%add_to_maven_depmap org.apache.felix scr-plugin-reactor 1 JPP/apache-felix scr-plugin-reactor
# scrplugin/scrtask/pom.xml
install -m 644 scrplugin/scrtask/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.scr.ant.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.scr.ant %{ver_scrant} JPP/apache-felix org.apache.felix.scr.ant
# scr/pom.xml
install -m 644 scr/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.scr.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.scr %{ver_scr} JPP/apache-felix org.apache.felix.scr
# servicebinder/pom.xml
install -m 644 servicebinder/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.servicebinder.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.servicebinder %{ver_servicebinder} JPP/apache-felix org.apache.felix.servicebinder
# service/pom.xml
#
# shell.gui.plugin/pom.xml
install -m 644 shell.gui.plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.shell.gui.plugin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.shell.gui.plugin %{ver_shellgui} JPP/apache-felix org.apache.felix.shell.gui.plugin
# shell.gui/pom.xml
install -m 644 shell.gui/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.shell.gui.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.shell.gui %{ver_shellgui} JPP/apache-felix org.apache.felix.shell.gui
# shell/pom.xml
install -m 644 shell/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.shell.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.shell %{ver_shell} JPP/apache-felix org.apache.felix.shell
# shell.remote/pom.xml
install -m 644 shell.remote/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.shell.remote.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.shell.remote %{ver_shellremote} JPP/apache-felix org.apache.felix.shell.remote
# shell.tui/pom.xml
install -m 644 shell.tui/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.shell.tui.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.shell.tui %{ver_shelltui} JPP/apache-felix org.apache.felix.shell.tui
# tools/mangen/pom.xml
# tools/maven2/felix-archetype/pom.xml
# tools/maven2/felix-archetype/src/main/resources/archetype-resources/pom.xml
# tools/maven2/maven-felix-plugin/pom.xml
# tools/maven2/maven-osgi-plugin/pom.xml
install -m 644 tools/maven2/maven-osgi-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-maven-osgi-plugin.pom
%add_to_maven_depmap org.apache.felix maven-osgi-plugin %{ver_mavenosgiplugin} JPP/apache-felix maven-osgi-plugin
# tools/maven2/osgi-archetype/pom.xml
# tools/maven2/osgi-archetype/src/main/resources/archetype-resources/pom.xml
# transaction/integration-test/pom.xml
#
# transaction/org.apache.felix.transaction/pom.xml
install -m 644 transaction/org.apache.felix.transaction/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.transaction.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.transaction %{ver_transaction} JPP/apache-felix org.apache.felix.transaction
# transaction/pom.xml
install -m 644 transaction/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-transaction.pom
%add_to_maven_depmap org.apache.felix transaction %{ver_transaction} JPP/apache-felix transaction
# upnp/basedriver/pom.xml
install -m 644 upnp/basedriver/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.upnp.basedriver.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.upnp.basedriver %{ver_upnpbasedriver} JPP/apache-felix org.apache.felix.upnp.basedriver
# upnp/extra/pom.xml
install -m 644 upnp/extra/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.upnp.extra.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.upnp.extra %{ver_upnpextra} JPP/apache-felix org.apache.felix.upnp.extra
# upnp/samples/binarylight/pom.xml
install -m 644 upnp/samples/binarylight/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.upnp.sample.binaryLight.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.upnp.sample.binaryLight %{ver_upnpsample} JPP/apache-felix org.apache.felix.upnp.sample.binaryLight
# upnp/samples/clock/pom.xml
install -m 644 upnp/samples/clock/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.upnp.sample.clock.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.upnp.sample.clock %{ver_upnpsample} JPP/apache-felix org.apache.felix.upnp.sample.clock
# upnp/samples/pom.xml
install -m 644 upnp/samples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-upnp-samples.pom
%add_to_maven_depmap org.apache.felix upnp.examples.build 0.9.0 JPP/apache-felix upnp.examples.build
# upnp/samples/tv/pom.xml
install -m 644 upnp/samples/tv/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.upnp.sample.tv.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.upnp.sample.tv %{ver_upnpsample} JPP/apache-felix org.apache.felix.upnp.sample.tv
# upnp/tester/pom.xml
install -m 644 upnp/tester/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.upnp.tester.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.upnp.tester %{ver_upnptester} JPP/apache-felix org.apache.felix.upnp.tester
# upnp/pom.xml
install -m 644 upnp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-upnp.pom
%add_to_maven_depmap org.apache.felix upnp 1.0.0 JPP/apache-felix upnp
# useradmin/pom.xml
install -m 644 useradmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.useradmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.useradmin %{ver_useradmin} JPP/apache-felix org.apache.felix.useradmin
# utils/pom.xml
install -m 644 utils/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.utils.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.utils %{ver_utils} JPP/apache-felix org.apache.felix.utils
# webconsole-plugins/event/pom.xml
install -m 644 webconsole-plugins/event/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.webconsole.plugins.event.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.webconsole.plugins.event %{ver_webconsolepluginsevent} JPP/apache-felix org.apache.felix.webconsole.plugins.event
# webconsole-plugins/memoryusage/pom.xml
#
# webconsole-plugins/upnp/pom.xml
#
# webconsole/pom.xml
install -m 644 webconsole/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.webconsole.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.webconsole %{ver_webconsole} JPP/apache-felix org.apache.felix.webconsole
# wireadmin/pom.xml
install -m 644 wireadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.apache-felix-org.apache.felix.wireadmin.pom
%add_to_maven_depmap org.apache.felix org.apache.felix.wireadmin %{ver_wireadmin} JPP/apache-felix org.apache.felix.wireadmin


# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/annotation
cp -pr dependencymanager/annotation/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/annotation
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/compat
cp -pr dependencymanager/compat/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/compat
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/core
cp -pr dependencymanager/core/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/core
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/runtime
cp -pr dependencymanager/runtime/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/runtime
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/samples.annotation
cp -pr dependencymanager/samples.annotation/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/samples.annotation
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/samples
cp -pr dependencymanager/samples/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/samples
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/shell
cp -pr dependencymanager/shell/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/shell
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/test
cp -pr dependencymanager/test/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependencymanager/test
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploymentadmin/autoconf
cp -pr deploymentadmin/autoconf/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploymentadmin/autoconf
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploymentadmin/service
cp -pr deploymentadmin/service/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploymentadmin/service
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.configuration
cp -pr eventadmin/bridge.configuration/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.configuration
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.upnp
cp -pr eventadmin/bridge.upnp/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.upnp
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.useradmin
cp -pr eventadmin/bridge.useradmin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.useradmin
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.wireadmin
cp -pr eventadmin/bridge.wireadmin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/bridge.wireadmin
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/impl
cp -pr eventadmin/impl/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/eventadmin/impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jmood
cp -pr jmood/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jmood
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/console.component
cp -pr mosgi/console.component/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/console.component
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/console.gui
cp -pr mosgi/console.gui/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/console.gui
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/console.ifc
cp -pr mosgi/console.ifc/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/console.ifc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.agent
cp -pr mosgi/jmx.agent/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.agent
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.httpconnector
cp -pr mosgi/jmx.httpconnector/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.httpconnector
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.registry
cp -pr mosgi/jmx.registry/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.registry
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.remotelogger
cp -pr mosgi/jmx.remotelogger/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.remotelogger
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.rmiconnector
cp -pr mosgi/jmx.rmiconnector/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/jmx.rmiconnector
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.bundlesprobes.tab
cp -pr mosgi/managedelements.bundlesprobes.tab/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.bundlesprobes.tab
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.bundlesprobes
cp -pr mosgi/managedelements.bundlesprobes/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.bundlesprobes
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.memoryprobe
cp -pr mosgi/managedelements.memoryprobe/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.memoryprobe
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.obrprobe.tab
cp -pr mosgi/managedelements.obrprobe.tab/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.obrprobe.tab
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.obrprobe
cp -pr mosgi/managedelements.obrprobe/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.obrprobe
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.osgiprobes.tab
cp -pr mosgi/managedelements.osgiprobes.tab/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.osgiprobes.tab
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.osgiprobes
cp -pr mosgi/managedelements.osgiprobes/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mosgi/managedelements.osgiprobes

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/org.osgi.service.obr
cp -pr org.osgi.service.obr/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/org.osgi.service.obr
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/servicebinder
cp -pr servicebinder/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/servicebinder
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/shell.gui.plugin
cp -pr shell.gui.plugin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/shell.gui.plugin
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/shell.gui
cp -pr shell.gui/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/shell.gui
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/transaction
cp -pr transaction/org.apache.felix.transaction/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/transaction
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/upnp/samples/binarylight
cp -pr upnp/samples/binarylight/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/upnp/samples/binarylight
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/upnp/samples/clock
cp -pr upnp/samples/clock/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/upnp/samples/clock
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/upnp/samples/tv
cp -pr upnp/samples/tv/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/upnp/samples/tv
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/useradmin
cp -pr useradmin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/useradmin
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/wireadmin
cp -pr wireadmin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/wireadmin

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javax-servlet
%defattr(-,root,root)
%{_javadir}/%{name}/javax.servlet*.jar

%files bundlerepository
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.bundlerepository*.jar

%files configadmin
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.configadmin*.jar

%files dependencymanager
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.dependencymanager*.jar

%files deployment-rp-autoconf
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.deployment.rp.autoconf*.jar

%files deploymentadmin
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.deploymentadmin*.jar

%files eventadmin
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.eventadmin-*.jar
%{_javadir}/%{name}/org.apache.felix.eventadmin.jar

%files eventadmin-bridge
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.eventadmin.bridge*.jar

%files fileinstall
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.fileinstall*.jar

%files framework
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.framework*.jar

%files gogo
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.gogo*.jar

%files log
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.log*.jar

%files main
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.main*.jar

%files metatype
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.metatype*.jar

%files prefs
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.prefs*.jar

%files scr
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.scr-*.jar
%{_javadir}/%{name}/org.apache.felix.scr.jar

%files scr-annotations
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.scr.annotations*.jar

%files scr-ant
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.scr.ant*.jar

%files scr-generator
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.scr.generator*.jar

%files servicebinder
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.servicebinder*.jar

%files shell
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.shell-*.jar
%{_javadir}/%{name}/org.apache.felix.shell.jar

%files shell-gui
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.shell.gui*.jar

%files shell-remote
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.shell.remote*.jar

%files shell-tui
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.shell.tui*.jar

%files transaction
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.transaction*.jar

%files useradmin
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.useradmin*.jar

%files utils
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.utils*.jar

%files webconsole
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.webconsole-*.jar
%{_javadir}/%{name}/org.apache.felix.webconsole.jar

%files webconsole-plugins-event
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.webconsole.plugins.event*.jar

%files wireadmin
%defattr(-,root,root)
%{_javadir}/%{name}/org.apache.felix.wireadmin*.jar


%files osgi-core
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.osgi.core*.jar

%files osgi-foundation
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.osgi.foundation*.jar

%files osgi-service-obr
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.osgi.service.obr*.jar

%files osgi-compendium
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.osgi.compendium*.jar

%files http
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.http*.jar

%files ipojo
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo-*.jar
%{_javadir}/%{name}/org.apache.felix.ipojo.jar

%files ipojo-annotations
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.annotations*.jar

%files ipojo-ant
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.ant*.jar

%files ipojo-api
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.api*.jar

%files ipojo-arch
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.arch*.jar

%files ipojo-composite
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.composite*.jar

%files ipojo-handler-eventadmin
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.handler.eventadmin*.jar

%files ipojo-handler-extender
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.handler.extender*.jar

%files ipojo-handler-jmx
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.handler.jmx*.jar

%files ipojo-handler-temporal
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.handler.temporal*.jar

%files ipojo-handler-transaction
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.handler.transaction*.jar

%files ipojo-handler-whiteboard
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.handler.whiteboard*.jar

%files ipojo-manipulator
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.manipulator*.jar

%files ipojo-metadata
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.metadata*.jar

%files ipojo-online-manipulator
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.online.manipulator*.jar

%files ipojo-webconsole
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.ipojo.webconsole*.jar

%files jmood
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.jmood*.jar

%files maven-bundle-plugin
%defattr(-,root,root,-)
%{_javadir}/%{name}/maven-bundle-plugin*.jar

%files maven-ipojo-plugin
%defattr(-,root,root,-)
%{_javadir}/%{name}/maven-ipojo-plugin*.jar

%files maven-obr-plugin
%defattr(-,root,root,-)
%{_javadir}/%{name}/maven-obr-plugin*.jar

%files maven-osgi-plugin
%defattr(-,root,root,-)
%{_javadir}/%{name}/maven-osgi-plugin*.jar

%files maven-scr-plugin
%defattr(-,root,root,-)
%{_javadir}/%{name}/maven-scr-plugin*.jar

%files mosgi
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.mosgi*.jar

%files upnp-basedriver
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.upnp.basedriver*.jar

%files upnp-extra
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.upnp.extra*.jar

%files upnp-sample
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.upnp.sample*.jar

%files upnp-tester
%defattr(-,root,root,-)
%{_javadir}/%{name}/org.apache.felix.upnp.tester*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Tue Jun 21 2011 Ralph Apel <r.apel at r-apel.de> 0:1-4
- Fix main pkg ver-rel

* Tue Jun 21 2011 Ralph Apel <r.apel at r-apel.de> 0:1-3
- Fix requires

* Sun Jun 19 2011 Ralph Apel <r.apel at r-apel.de> 0:1-2
- Fix main package runtime requires

* Sun Jun 19 2011 Ralph Apel <r.apel at r-apel.de> 0:1-1
- First release
